Introduction

← Previous ↑ Overview Next →

About the program

GRAYESS IRT Cronista brings image organization, thermal analysis, and flexible reporting together in one application. Turn infrared inspection data into clear findings and professional reports, from routine equipment inspections and building surveys to detailed thermal investigations. Keep your images, observations, and analysis connected throughout the workflow to spend less time preparing results and more time interpreting them.

Use IRT Cronista to:

§Create reports that tell the whole story. Bring infrared and visual images, measurements, graphs, notations, asset information, and formula results into a fully customizable report. Generate reports for one image, a selection, or an entire folder using supplied or custom templates. Reusable templates reduce repetitive work and give recurring inspection reports a consistent structure and appearance.

§Keep inspection information together. Organize images by inspection, link infrared images to visual images, and record observations using comments and structured notations. Keeping this information with the images makes it available for analysis and reporting without repeatedly entering the same details.

§Understand thermal conditions and track changes. Measure temperatures, locate hot and cold spots, and examine patterns with profiles and histograms. Compare images side by side, use infrared and visual image fusion to relate findings to visible features, and follow temperature changes with trends to support condition assessments and maintenance decisions.

Microsoft Word integration gives you the flexibility to adapt report layouts, formatting, branding, and additional content to your needs. Reports remain editable, so you can refine the presentation and add conclusions or recommendations before sharing the results.

About this manual

Manual revision: 7.8.70

This manual explains how to install, configure, and use IRT Cronista. It guides new users through the main workflow and provides reference information for experienced thermographers, administrators, and report-template authors.

Use the table of contents to follow the manual from installation through reporting, or open an individual topic when you need instructions for a specific task. The manual contains the following main sections:

1. Installation and getting started. Review the license agreement and system requirements, install and activate the software, compare IRT Cronista editions, select the language and temperature unit, learn the difference between Organizer and Analyzer modes, and follow a guided tour of the main workflow.

2. Organizing images. Learn how to view images and other files, arrange the workspace, navigate the folder structure, and create, copy, move, rename, and delete files and folders. This section also explains how to link visual images to infrared images and group related images into stacks.

3. Temperature scale and palettes. Adjust how temperatures are mapped to colors, select a temperature range and palette, use isotherms, share range and palette settings within a folder, change these settings for selected images, and change the temperature unit.

4. Notations. Create structured information for images, define notations sets, use shared or briefcase sets, assign entries to images, configure folder notations, and work with assets.

5. Thermographic analysis. Learn what Analyzer mode can do and how its workspace is organized. The section covers image comparison and display adjustments, infrared and visual image fusion, measurement objects and parameters, labels and selection tools, temperature measurements, profiles, histograms, dew-point analysis, trends, and analysis templates.

6. Reports. Generate and customize reports, select and manage templates, edit generated reports, create reports manually, use the Thermo Reports tab, configure report settings, and use notations, document properties, formulas, and macros in templates. This section also covers report templates for image stacks and troubleshooting.

7. Image processing and output. Change properties for multiple images, play thermal video, print images and other data, export infrared images, stitch overlapping images, and enhance image resolution.

The final reference topics list keyboard shortcuts and identify third-party libraries used by the software.


License agreement

← Previous ↑ Overview Next →

This software is licensed, not sold, by GRAYESS Inc.. Before installing or using the software, read the End User License Agreement (EULA) included with the installer. You must accept the EULA to install the software. If you do not accept its terms, cancel the installation and do not use the software.

The EULA defines the license grant, permitted use, restrictions, ownership, termination, warranty and liability limitations, support, and other legal terms. The number of permitted installations depends on the license purchased.

The EULA included with the installer is the controlling legal agreement. For current general information about license duration, installation limits, license transfers, maintenance, support, and updates, see the GRAYESS Software Licensing Policy:

https://www.grayess.com/software-licensing-policy


System requirements

Software requirements

Operating system

IRT Cronista supports x86 and x64 editions of Microsoft Windows. On recent ARM-based Windows computers, install the x64 version of IRT Cronista.

Microsoft-supported Windows versions:

·Windows 11 releases within the Microsoft servicing lifecycle.

Microsoft has ended standard support for the following Windows versions. Support for these versions is available by request:

·Windows 7.

·Windows 8 and 8.1.

·Windows 10.

Microsoft Word

The reporting features of IRT Cronista require a locally installed desktop version of Microsoft Word.

Microsoft-supported versions as of September 2026:

·Desktop Word included with Microsoft 365 Apps for Windows.

·Word 2024 and Word LTSC 2024.

·Word 2021 and Word LTSC 2021.

Microsoft has ended support for the following Word versions. Support for use with IRT Cronista is available by request:

·Word 2007.

·Word 2010.

·Word 2013.

·Word 2016.

·Word 2019.

Word for the web is not supported.

Hardware requirements

Recommended:

§Quad-core x64 processor.

§At least 8 GB of RAM.

§Full HD display with a resolution of 1920 × 1080.


Installation notes

Installation requirements

Administrator privileges are required to install IRT Cronista and its drivers. For a managed installation of IRT Cronista, contact the system administrator.

After installation, standard users can run IRT Cronista without administrator privileges.

Install IRT Cronista

1. Obtain the IRT Cronista MSI or EXE installer file.

2. Double-click the installer.

3. Follow the on-screen instructions.

After installation, IRT Cronista starts for the first time and prompts you for an Installation Key. See Managing licenses for details.

Uninstall IRT Cronista

Use the Windows uninstall procedure at Start > Settings > Apps > Installed apps.


Activating licenses

GRAYESS IRT Cronista uses a cloud-based licensing system. Your software license includes an Installation Key in the following format:

XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX.

The key identifies your license in the licensing database. Depending on the purchased license, one Installation Key may permit installation on one or more computers.

A trial Installation Key provides access to the available IRT Cronista functions for a limited time.

First run

When IRT Cronista starts for the first time, enter the Installation Key, your name, and the name of the organization that owns the license.

Activation

Activate the program before using it.

For online activation, select Activate by using the Internet.

IRT Cronista connects to the activation server and activates the license.

Manual activation

If the computer is offline, select Manual activation. You need an Internet-connected smartphone and a camera application that can scan QR codes.

Scan the QR code with the smartphone camera. The link opens the activation page and generates an Activation Key. Enter the key in the corresponding field in the Activation Wizard.

Note:

Generating an Activation Key activates the license and counts the computer as activated, even if you do not enter the key.

Activation with help from your software provider

If neither activation method works, contact your software provider. Leave the Activation Key field blank, and then select Next. The next page displays an Installation Id that support can use to locate the license and generate an Activation Key.

Send the Installation Id to your software provider. This identifier is a unique signature of the computer that is linked to the license and used to generate an Activation Key.

Close the Activation Wizard. When you receive an Activation Key, restart IRT Cronista and enter or paste the key in the Activation Wizard. Select Next to complete activation.

See also Transferring a license to another computer


Transferring a license to another computer

To transfer a IRT Cronista license to another computer, deactivate it on the current computer. After deactivation, use the license (Installation Key) to install IRT Cronista on another computer.

Select Help > Deactivate License in the main menu.

Select Next to deactivate the software through the Internet. If the computer is offline, use the displayed QR code and a smartphone to deactivate the license manually. The manual deactivation process is similar to manual activation.

Important:

Opening the QR-code page deactivates the local program, but the license server continues to count the computer as active. Scan the QR code or contact your software provider to complete deactivation.

If deactivation is interrupted, reactivate the software on this computer and deactivate it again to remove the computer from the activation list and release the license.


IRT Cronista editions

IRT Cronista is available in Standard, Professional, and Ultimate editions. Ultimate includes the complete feature set; Professional and Standard include the feature subsets shown in the following table.

The following table compares the editions:

 | Standard | Professional | Ultimate
Multi-page reports | Yes | Yes | Yes
Analysis spots | Unlimited | Unlimited | Unlimited
Hot/cold spots | 10 | Unlimited | Unlimited
Analysis lines | 10 | Unlimited | Unlimited
Analysis areas | 10 | Unlimited | Unlimited
Polylines, ellipses and polygons | No | Yes | Yes
Profiles | Yes | Yes | Yes
Histograms | No | Yes | Yes
Trends | No | Yes | Yes
Averaging, temperature offset | No | Yes | Yes
Contrast enhancement (histogram equalization) | No | No | Yes
Dew point calculator | No | Yes | Yes
Multi-image analysis | No | Yes | Yes
IR video player | No | Yes | Yes
Radiometric TIFFs Export for Drone Mapping | No | No | Yes
Stitching | No | No | Yes
Resolution enhancement | No | No | Yes
Image stacks | No | No | Yes
Report summary table | No | Yes | Yes
Assets import | No | Yes | Yes


Getting started

Use this topic for a guided tour of the main IRT Cronista functions. The workflow shows how to find and review infrared images in Organizer mode, open an image in Analyzer mode, and create a Microsoft Word report. You can follow the tour with your own inspection images or use the supplied sample images as optional practice material.

Before you start

Install and activate the software before continuing. See Installation notes and Activating licenses.

To create a report, install a supported desktop version of Microsoft Word. See System requirements.

Tip:

To explore IRT Cronista without using your own inspection data, open the supplied sample images. They are typically stored in Documents > Infrared Samples for the account used to install the software. The samples provide ready-made content for exploring the interface; you do not need to analyze or modify them.

Explore Organizer mode

Use Organizer mode to browse inspection folders, preview images, review file information and notations, link infrared and visual images, and manage inspection data.

1. Select Organizer on the main toolbar.

2. In the Folders window, select a folder that contains infrared images.

3. In the Folder Contents window, select an infrared image.

4. Review the infrared image and any linked visual image in the Preview window.

5. Select the File Info tab to review file, camera, and temperature information.

6. Select the Notations tab to review inspection information.

For more information about organizing inspection data, see Organizer mode overview.

Explore Analyzer mode

Use Analyzer mode to adjust how an infrared image is displayed, review temperature data, and add measurement objects such as spots, lines, and areas. Some supplied sample images already contain measurements and notations, so you can explore Analyzer mode without changing them.

With an infrared image selected in the Folder Contents window, select Analyzer on the main toolbar:

Practice: add a spot measurement

1. Select the Spot tool.

2. Click the required location in the infrared image.

3. Review the temperature displayed beside the new spot.

For more information about analysis functions and workspace elements, see Analyzer mode overview.

Create a report

IRT Cronista uses Microsoft Word templates to create editable inspection reports. The following procedure creates a report for all infrared images in the active folder. You can use a folder that contains your own images or the supplied samples.

To create a report for the active folder:

1.Select Organizer on the main toolbar.

2.Select the folder that contains the infrared images for the report.

3.Select Create Report button [image] on the main toolbar.

4.Select a report template in the Template Selection dialog.

5.Select Run.

6.Review the generated report in Microsoft Word.

7.Make any required changes to the report.

8.Save the document.

A report can include infrared and visual images, measurements, notations, profiles, histograms, and other inspection information.

For instructions for reporting one image or a selection, see Generating reports for an image, folder, or selection. For information about report templates and generation options, see Generating reports using templates.


Language and temperature units

Select a language

IRT Cronista is available in several interface languages.

To change the interface language:

1. Select File > Language.

2. Select a language.

3. Select OK.

Note: Restart IRT Cronista to apply the interface language change.

Select a temperature unit

IRT Cronista supports Celsius, Fahrenheit, and Kelvin.

To change the temperature unit:

1. Select Tools > Settings.

2. In Temperature unit, select Celsius, Fahrenheit, or Kelvin.

3. Select OK.

4. Restart IRT Cronista.

Other settings

The Tools > Settings dialog also contains these settings:

·Date format: Sets the date display format: dd.MM.yyyy, MM/dd/yyyy, or yyyy-MM-dd.

·Distance unit: Sets the displayed distance unit.

·Color theme: Sets the application color theme.

·Image export format: Select Print optimized for keeping text and image overlays in a vector format, or Screen optimized for raster image output.

·Image resolution: Sets the resolution of exported images. Higher values improve image quality but increase report size.

·Digits after decimal separator: Sets the number of decimal places, up to two, displayed for temperature values.

·Palette: Sets the default palette for new images.

These settings apply throughout the program.


Organizer and Analyzer modes

IRT Cronista has two working modes. Use Organizer mode to manage and prepare images, and use Analyzer mode for detailed infrared image analysis. Many functions are available in both modes, so you can select the mode that best fits the current task.

Organizer mode

Use Organizer mode to browse and arrange files and folders, link infrared and visual images, manage notations and comments, adjust palettes and temperature ranges, edit image properties, and prepare images for reports.

The folder hierarchy includes Documents, local drives, and mapped network drives. Use Documents for images and other frequently used files. Use Network to access computers connected to the local area network.

Caution:

By default, files and folders deleted from a hard disk move to the Recycle Bin and can be restored until the Recycle Bin is emptied. Items deleted from a flash drive or network drive are permanently deleted.

Analyzer mode

Use Analyzer mode to measure temperatures, locate hot and cold spots, calculate values for points, lines, and areas, and create profiles and histograms. You can also add measurement objects and labels, adjust temperature-calculation parameters, and prepare analysis results for reports.

Switch modes

Tip:

Select Organizer or Analyzer on the main toolbar.

For detailed descriptions, see Organizer mode overview and Analyzer mode overview.


Organizer mode overview

Use Organizer mode to manage files and folders, link infrared and visual images, manage notations and comments, change palettes and temperature ranges, and edit infrared-image properties.

Tip:

Select Organizer on the toolbar to switch to Organizer mode.

The following figure identifies the main Organizer-mode elements.

1. Main menu, toolbar and address bar.

2. Buttons to switch between Organizer and Analyzer modes.

3. Folders window.

4. Folder Contents window (displays the contents of the folder selected in the folders tree).

5. Temperature scale and palette.

6. Preview window (displays the focused item).

7. Notations for the focused item.

Open images, files, and folders

Select a folder in the Folders window. Its contents appear in the Folder Contents window, and its path appears in the address bar.

Use the address bar to navigate to a folder or drive. For example, select the C drive to show its folders in the folder tree and its contents in the Folder Contents window.

Use the Back, Forward, and Up toolbar commands to navigate between folders.

Back returns to the preceding location, Forward returns to a later location after you use Back, and Up opens the parent folder.

To work with an image, open its folder and click it in the Folder Contents window. The image becomes focused and appears in Preview. Notations displays its notations and comments.

For practice, use the Infrared Samples installed in the Documents folder.

Focused and selected images

The focused image is the image displayed in the Preview window. Several images can be selected at once, but only one image is focused.

There is no visible difference between a focused image and the other selected images in Folder Contents. To identify the focused image, look at Preview. If the window is hidden, show it using View > Preview.

When Same Range or Same Palette is cleared, changes to the corresponding settings in the main Temperature Scale window affect only the focused infrared image, even if several images are selected.

For more information, see the following chapters:

§Working with files and folders

§Linking visual images to infrared images

§Temperature scale and palettes

§Notations


View modes

In Organizer mode, folder view modes control how files and folders appear in the Folder Contents window. Use thumbnails to preview images, a compact list to browse file names, or a detailed list to review file information.

To change the view for the open folder, select Thumbnails, Icons, List, or Details from the View menu or the view-modes button.

Thumbnails

Thumbnails view shows previews of infrared images and other supported files.

Infrared images in Thumbnails view:

If a folder contains linked infrared and visual images, Thumbnails view shows both linked images one below the other:

If a file is not an image, Thumbnails view shows it as a large icon.

Icons

Icons view displays your files and folders as icons.

List

List view displays the contents of a folder as a list of file or folder names preceded by small icons. This view is useful if your folder contains many files and you want to scan the list for a file name. You can sort your files and folders in this view.

Details

In Details view, IRT Cronista shows file and folder names together with the date and time when each image or file was created or modified.


Sorting files and folders

Sort files and folders in the Folder Contents window to find items more easily. When you generate a report, images appear in the same order as in the folder.

Sort by name or date and time

1. Right-click a blank area in the Folder Contents window.

2. Select Arrange Icons By > Name or Arrange Icons By > Date and Time.

3. To reverse the sort direction, select the same command again.

Sort in Details view

1. Click a column heading to sort by that column.

2. To reverse the sort direction, click the same heading again.


Previewing images

Use the Preview window in Organizer mode to inspect the focused file or image. The window position depends on the selected layout; in the Dual layout, it appears at the top.

Show or hide Preview

Select Preview on the main toolbar or View > Preview to show or hide the window.

Preview items

Click a folder, file, or image in the Folder Contents window. The item becomes focused and appears in Preview.

If several images are selected, the focused image is the one displayed in Preview. Its appearance in Folder Contents does not distinguish it from the other selected images. Selection-based commands can apply to all selected images; the preview and its file information describe only the focused item.

Use the arrow buttons below the previewed image [image] to display the previous or next image in the folder.

If a visual image is linked to the focused infrared image, Preview displays both images. Select [image] to hide the visual image. Select it again to show both images.

View file information and notations

The Infoview area below the previewed image contains the File Info and Notations tabs. To show this area, select View > Infoview.

File Info contains Image Info (parameters stored by the camera) and File Details (properties provided by the operating system). These include image dimensions, file name and location, capture time, and temperature parameters.

Notations displays notations and comments for the focused item. If the tab is empty, the current folder does not have a notations set. See Notations.

Select [image] below the previewed image to hide Infoview and enlarge the previewed image. Select it again to restore Infoview.


Layouts

Use layouts in Organizer mode to arrange the Preview, Infoview, and Folder Contents windows. The available layouts are Standard, Filmstrip, and Dual.

Select a layout and orientation

To select a layout:

1. Open the Layouts menu.

2. Select Standard, Filmstrip, or Dual.

To change the orientation:

1. Open the Layouts menu.

2. Select Vertical Layout or Horizontal Layout.

You can also use these keyboard shortcuts:

·F7: Selects the Standard layout.

·F8: Selects the Filmstrip layout.

·F9: Selects the Dual layout.

Layouts do not reposition the Folders Tree or Temperature Scale windows. Show, hide, or resize those windows separately.

Standard layout

Standard is the default layout. In Vertical Layout, Preview and Infoview appear on the left, and Folder Contents appears on the right.

In Horizontal Layout, Preview appears above Folder Contents.

Filmstrip layout

Filmstrip displays a large preview above a single row of thumbnails. Click a thumbnail to give that image focus. Use the left and right arrow buttons below Preview to move to the previous or next image.

Dual layout

Dual displays the same folder in two Folder Contents windows. The left window contains infrared images, and the right window contains visual images and other files. Use this layout to link images by drag and drop.

See also Hiding and resizing windows.


Hiding and resizing windows

Use the predefined layouts to arrange the Organizer mode windows. You can then resize individual windows or hide windows that are not needed for the current task.

Resize a window

1. Point to the border between two windows.

2. When the pointer becomes a two-headed arrow [image] , drag the border.

For example, drag the right or bottom border of Preview outward to enlarge the previewed image.

As Preview grows, the adjacent Infoview and Folder Contents windows become smaller.

Show or hide a window

Use menu View to show or hide Preview, Infoview, or Temperature Scale.

1. Select View.

2. Select the window name.

A check mark indicates that the window is visible. Select the window name again to hide it.

Alternatively, use the context menu:

1. Right-click a blank area in the Folder Contents window.

2. Select Windows.

3. Select the window name.


Working with files and folders

Use Organizer mode to manage infrared images, visual images, reports, and related inspection data. You can create folders and copy, move, rename, or delete files and folders.

Select a folder in the Folders window to display its contents in the Folder Contents window.

Keep related inspection files together in a project folder, for example, under Documents. Use subfolders to group files by inspection date, location, or equipment.

Copy files into the project folder from another folder, computer, or camera memory card. Copying leaves the source files in place. Moving transfers them to the destination; moving a folder also moves its contents.

Select a task for detailed instructions:

§Creating folders

§Copying and moving files and folders

§Copying and moving by drag and drop

§Renaming files and folders

§Deleting files and folders


Creating folders

Create folders in Organizer mode to keep related inspection files together.

To create a new folder:

1. Switch to Organizer mode.

2. Open the folder where you want to create the new folder.

3. Select File > New > Folder. The new folder appears with its name ready for editing.

4. Enter a name for the new folder.

5. Press Enter.

You can also use the new-folder button [image] on the main toolbar instead of the File > New > Folder command.

To access the same command from the context menu, right-click a blank area in the Folder Contents window and select New > Folder.


Copying and moving files and folders

Use Organizer mode to copy or move files and folders. Copying creates duplicates in the destination and leaves the originals in place. Moving transfers the items to the destination; after a successful move, they are no longer in the source location.

To copy files or folders:

1. Switch to Organizer mode.

2. Open the folder that contains the items.

3. Select the files or folders to copy in the Folder Contents window.

4. Press Ctrl+C.

5. Open the destination folder or drive.

6. Press Ctrl+V.

To move files or folders:

1. Switch to Organizer mode.

2. Open the folder that contains the items.

3. Select the files or folders to move in the Folder Contents window.

4. Press Ctrl+X.

5. Open the destination folder or drive.

6. Press Ctrl+V.

Instead of keyboard shortcuts, use Edit > Copy for Ctrl+C, Edit > Cut for Ctrl+X, and Edit > Paste for Ctrl+V.

See also Copying and moving by drag and drop.


Copying and moving by drag and drop

Use drag and drop in Organizer mode to copy or move files and folders. Drag items from Folder Contents onto a destination folder in the Folders window or onto another folder displayed in Folder Contents.

Choose whether to copy or move

When you drag with the left mouse button, the default action depends on the destination:

§Dragging to a folder on the same drive moves the items.

§Dragging to a different drive copies the items.

To override the default action, hold down Ctrl while dragging to copy, or Shift to move. Keep the key held down until you release the mouse button.

To copy or move files or folders:

1. Switch to Organizer mode.

2. Open the folder that contains the items.

3. Select the files or folders to copy or move.

4. Make the destination folder visible.

5. Drag the selected items onto the destination folder with the left mouse button.

6. Release the mouse button when the destination folder is highlighted.

If the destination is outside IRT Cronista, resize the application window as needed to make the destination visible before dragging.

This pointer [image] indicates that the current location cannot accept the dragged items.

Choose an action from the drop menu

Drag with the right mouse button to choose the action after dragging:

1. Drag the selected files or folders onto the destination folder with the right mouse button.

2. Release the mouse button to open the menu.

3. Select Copy Here, Move Here, or Create Shortcuts Here.

To link a visual image to an infrared image rather than transfer files to another folder, see Linking images by drag and drop.


Renaming files and folders

Use Organizer mode to give files and folders clear, descriptive names. Rename one item at a time.

To rename a file or folder:

1. Switch to Organizer mode.

2. Open the folder that contains the item.

3. Select the file or folder to rename in the Folder Contents window.

4. Select File > Rename.

5. Type the new name.

6. Press Enter.

You can also press F2 to edit the selected item's name. Another option is to right-click the item and select Rename.

Naming guidelines:

§File and folder names cannot contain these characters: \ / : * ? " < > |.

§If a file extension is shown when you edit the name, keep it unchanged.

§The Rename command is unavailable for items that Windows or the program does not allow you to rename.


Deleting files and folders

Use Organizer mode to delete files and folders you no longer need. Deleting a folder also deletes its contents.

Caution:

Check the selected items before deleting them. Deleted items do not always go to the Recycle Bin. Keep a backup of inspection data you may need later.

When you delete an infrared image using File > Delete or the Delete key, its linked visual images are also included in the deletion.

To delete files or folders:

1. Switch to Organizer mode.

2. Open the folder that contains the items.

3. Select the files or folders to delete in the Folder Contents window.

4. Select File > Delete.

You can also press the Delete key or right-click a selected item and select Delete. To delete a folder from the Folders window, right-click the folder and select Delete.

If a confirmation dialog appears, review the items listed before confirming the deletion.

Deletion and the Recycle Bin

Ordinary deletion on a local drive normally sends items to the Windows Recycle Bin. You can restore them while they remain there.

Items deleted from flash drives or network locations may bypass the local Recycle Bin. Windows settings or policies can also cause items to be deleted without being sent to it. Do not assume that a deleted item can be recovered from the Recycle Bin.

Delete permanently

To bypass the Recycle Bin, hold down Shift while deleting, or press Shift+Delete for the selected items. Items deleted this way cannot be restored from the Recycle Bin.


Image linking overview

Link a visual image to its corresponding infrared image to keep the two views of the same subject together. IRT Cronista displays and handles the linked images as one item.

When a report template includes both infrared and visual images, the linked visual image is used with its corresponding infrared image. The template determines where the images appear in the report.

In Thumbnails view, the infrared image appears above its linked visual image:

Automatic linking

IRT Cronista automatically links compatible infrared and visual images in the same folder when they have the same base file name and different extensions. The base file name is the name without its extension.

Manual linking

If images are not linked automatically, use IRT Cronista to link them in Organizer mode by copy and paste or drag and drop. Check that each visual image corresponds to the infrared image. If a pair is incorrect, unlink it before linking the correct images.

Linked images may remain separate files or be stored together, depending on the infrared image format.

See the following topics for instructions and file-format details:

§Linking images by copy and paste

§Linking images by drag and drop

§Unlinking images

§Original and GTSI infrared image formats


Linking images by copy and paste

Use copy and paste to link a visual image to its corresponding infrared image. The images can be in the same folder or in different folders.

To link a visual image to an infrared image:

1. Switch to Organizer mode.

2. Open the folder that contains the visual image.

3. Right-click the visual image.

4. Select Copy to keep the original visual image file, or Cut to move it when you complete the link.

5. If the infrared image is in a different folder, open that folder.

6. Right-click the infrared image you want to link to.

7. Select Paste from the image's shortcut menu to link the images.

Notes:

§Always copy or cut the visual image and paste it onto the infrared image, not the other way around.

§For formats that store linked images as separate files, the linked visual image is stored in the infrared image's folder. Other formats can store the visual image within the infrared image file.

§To use keyboard shortcuts, select the visual image and press Ctrl+C to copy or Ctrl+X to cut. Then select the infrared image and press Ctrl+G to paste and link. Ctrl+V pastes into the current folder, not onto the selected image.


Linking images by drag and drop

Use the Dual layout in Organizer mode to link visual images to their corresponding infrared images by drag and drop. This layout displays the same folder in two panes: infrared images on the left, and visual images and other files on the right.

To link a visual image to an infrared image:

1. Switch to Organizer mode.

2. If the images are in different folders, copy the visual image into the folder that contains the infrared image.

3. Open the folder that contains both images.

4. Open the Layouts menu.

5. Select Dual.

6. Drag the visual image thumbnail from the right pane onto the corresponding infrared image thumbnail in the left pane, keeping the left mouse button pressed. Preview shows the images as a linked pair while you hold the visual image over the target.

7. Release the mouse button over the infrared image thumbnail to complete the link.

Note:

Drag the visual image onto the infrared image; the reverse direction is not supported.

Dragging between the two panes uses a move operation by default. To link a copy and keep the original visual image file, hold Ctrl while dragging and release the mouse button before releasing Ctrl.


Unlinking images

Unlink images to stop treating an infrared image and a visual image as a pair. You can unlink one or more pairs, for example, before linking an infrared image to the correct visual image.

To unlink images:

1. Switch to Organizer mode.

2. Open the folder that contains the linked images.

3. Select the infrared image for each pair you want to unlink.

4. Right-click one of the selected images.

5. Select Disconnect from the shortcut menu.

Alternatively, press Ctrl+D after selecting the images.

Select multiple pairs

To select a consecutive range, click the first infrared image, then hold Shift and click the last infrared image. To select individual images, hold Ctrl and click each infrared image you want to include.

What happens to the files

For pairs stored as separate files, unlinking changes file names as needed to remove the link. Both images remain in the same folder.

For a GTSI image that supports unlinking, Disconnect saves the embedded visual image as a separate JPEG file in the same folder and removes it from the GTSI file.


Original and GTSI infrared image formats

You can work with supported infrared images in their original camera formats or convert them to GTSI. The main difference is how the infrared image, visual image, and analysis data are stored and managed.

Original infrared image formats

Infrared camera manufacturers use different file formats and file name extensions. An original image is a file in the format created by the camera.

Some camera formats store the infrared and visual images in separate files. When you manually link a visual image to an infrared image in one of these formats in IRT Cronista, IRT Cronista renames the visual image file to identify the link. The two images remain separate files on disk.

Other camera formats store infrared measurement data inside a JPEG file, along with a standard image preview. Some also include an embedded visual image.

For images kept in their original formats, IRT Cronista saves analysis data, such as measurement objects, temperature range settings, and the palette, in a separate file. This file has the same base file name as the infrared image and the .nxclt extension.

Saving analysis data separately keeps the original infrared image data unchanged, but creates related files that must be managed together.

View related files

To view the separate files in an image group:

1. Switch to Organizer mode.

2. Right-click the infrared image.

3. Select Grouped Items from the shortcut menu.

The dialog shows the files in the group. In this example, the group contains an infrared image, a visual image, and an analysis data file.

Note:

Keep the infrared image and its related files together when copying or moving them outside the program. Copying only the infrared image does not include a separate visual image or analysis data file.

GTSI analyzed image format

GTSI stores an infrared image, its linked visual image, and its analysis data in one file with the .gtsi extension. For an image already in GTSI format, IRT Cronista saves the linked visual image and analysis data within that file. You can then transfer one file instead of managing these items separately.

Linking images does not automatically convert an original camera file to GTSI. Use Convert to GTSI to change the format.

Consider the following limitations before using the GTSI format:

·GTSI is a proprietary format. Conversion stores the infrared image data and parameters supported by the software, but may not preserve all camera-specific data. Keep a backup of each image in its original format.

·Visual images are saved as JPEG, which can reduce image quality. IRT Cronista also reduces visual images that exceed the dimensions shown in the conversion dialog's warning.

Convert images to GTSI

Save converted images in a subfolder to keep the originals. The procedure below uses this option.

To convert infrared images to GTSI format:

1. Switch to Organizer mode.

2. Open the folder that contains the infrared images.

3. Select the images you want to convert.

4. Right-click one of the selected images.

5. Select Convert to GTSI.

6. Select Place converted images in a subfolder.

7. Enter a name for the subfolder.

8. Review the warning about visual image dimensions.

9. Click Convert.

Warning:

The alternative Overwrite originals option replaces the originals with GTSI files in the same folder and removes the original infrared images and their linked files. Back up the complete image groups before using this option.


Image stacks

Availability: Ultimate edition

Use image stacks in IRT Cronista to organize infrared images of the same object taken at different times. A stack keeps related images together so that you can compare inspections and document changes over time.

When infrared images are grouped into stacks:

·The stack appears as one item in image lists, while its images remain separate files.

·Analyzer mode displays the images in a stack together for comparison.

·Use Trends to review changes over time.

·To design reports that can compare images over time in IRT Cronista, see Report templates for image stacks.

Create an image stack

Create a stack in Organizer mode by dragging one infrared image onto another or by using Cut or Copy followed by Paste.

To create a stack by drag and drop:

1. Open the folder that contains the infrared images.

2. Drag one infrared image onto another infrared image.

3. Release the mouse button over the target image.

To create a stack using Cut or Copy and Paste:

1. Right-click the infrared image you want to add.

2. Select Cut to move the image, or Copy to keep the original. The image is moved or copied when you paste.

3. If the target infrared image is in another folder, open that folder.

4. Right-click the target infrared image.

5. Select Paste from the image's context menu.

After Paste, the new stack contains both images. If you used Cut, both images move into the stack. If you used Copy, the stack contains copies of both images and the originals remain in their folders.

Note:

The paste destination depends on where you open the context menu. Right-click an infrared image to create a stack, an existing stack to add images to it, or an empty area in Folder Contents to paste into that folder.

A stack name appears in square brackets.

Add images to a stack

Follow the procedure above, but right-click the existing stack as the paste destination. Cut followed by Paste moves the image into the stack; Copy followed by Paste adds a copy and leaves the original in its folder. You can also drag an individual infrared image onto the stack.

Note:

You cannot drag a stack onto an individual image. Drag the individual image onto the stack.

Remove an image from a stack

To remove an image from a stack without deleting the file, cut it from the stack and paste it into a folder outside the stack:

1. Right-click the stack in Folder Contents.

2. Select Grouped Items.

3. In the window that opens, right-click the image you want to move out of the stack.

4. Select Cut.

5. In the main Organizer window, open the folder where you want to place the image.

6. Right-click an empty area in that folder's Folder Contents window.

7. Select Paste.

Note:

The image leaves the stack only after you paste it into the destination folder. To copy it out while keeping it in the stack, select Copy instead of Cut in step 4.

Notations for stacks

Important:

Changing the stack's notations in Organizer mode applies those changes to every image in the stack.

To change notations for only one image:

1. Right-click the stack.

2. Select Grouped Items.

3. Click the image to give it focus.

4. Edit its notations in the Notations window.


Temperature scale window

Use the Temperature Scale window to view and adjust how temperatures map to colors in infrared images. The window is titled Scale and appears on the right side of Organizer mode by default.

Note:

The Temperature Scale window is available in both Organizer and Analyzer modes and works the same way in both modes.

The color bar shows the current palette. The values at its ends show the upper and lower limits of the displayed temperature range, and the unit indicates Celsius, Fahrenheit, or Kelvin.

Use Palette to select the colors. Under Range, select Preset to use the camera's stored range, Auto to calculate the range automatically, or Custom to specify the limits. Changing the range or palette changes the image display, not the measured temperatures.

The Same Range and Same Palette check boxes apply the selected range mode or palette to all infrared images in the current folder. See the linked topic below for details.

Show or hide the window

1. Open the View menu.

2. Select Temperature Scale.

A check mark indicates that the window is visible. Select the command again to hide it.

You can also click the pin button [image] in the window's upper-right corner to auto-hide it. To keep the window visible again, use View > Temperature Scale.

Related topics

§Selecting temperature span and palette

§Isotherms

§Same Range and Same Palette options

§Changing temperature unit


Selecting temperature span and palette

Adjust the displayed temperature range and color palette in IRT Cronista to make relevant temperature differences easier to see. These settings change the appearance of the infrared image, not its measured temperatures.

Use the controls in the Temperature Scale window for the focused infrared image. Show this window using View > Temperature Scale.

Temperature range

The displayed temperature range defines how temperatures map to palette colors. Temperatures at or below the lower limit use the bottom palette color, and temperatures at or above the upper limit use the top color. Temperatures between the limits use the colors between them. The span is the difference between the upper and lower limits; it is not the camera's measurement range.

In the illustrated scale, the range is 10–50 °C, so the span is 40 °C. The selected palette runs from a dark color at the lower limit to pale yellow at the upper limit.

Under Range, select one of these modes:

·Preset: Uses the temperature range stored by the camera. If the camera did not store a range, the automatic range limits are used.

·Auto: IRT Cronista calculates the display limits from the image histogram. The limits may exclude sparsely represented extreme temperatures; they do not necessarily match the image's minimum and maximum temperatures.

·Custom: Uses limits that you specify to emphasize a temperature subrange.

Custom temperature range

Use Custom to focus on a temperature interval. A narrower span can make small differences within that interval easier to distinguish, while temperatures outside it use the end colors of the palette.

To set the range limits:

1. Click Custom in the Temperature Scale window.

2. Enter the upper bound of the desired range in Upper Limit.

3. Enter the lower bound of the desired range in Lower Limit.

4. Click OK.

Alternatively, use Level and Span in the Custom Range dialog. Level is the midpoint of the range, and span is its width. For example, a level of 30 °C and a span of 40 °C give limits of 10 °C and 50 °C.

You can also drag the limit markers beside the color bar. The histogram shows how frequently temperatures occur in the image. Click Auto to calculate limits automatically, or OK to apply your changes.

Palette

A palette maps temperatures to colors. IRT Cronista provides multiple palettes so that you can select the one that best reveals the relevant temperature differences.

To change the palette:

1. Click Palette in the Temperature Scale window.

2. Select a palette from the list.

3. Click OK.

16-color and inverted palettes

To use a palette with 16 colors, select the 16 Colors check box.

To reverse the palette colors, select the Inverted check box.

These check boxes are in the Palette dialog. Click OK to apply your changes.

Image contrast enhancement

Availability: Ultimate edition

Without contrast enhancement, colors are distributed evenly across the selected temperature range. Small differences can be difficult to see when an area receives only a narrow part of the palette. IRT Cronista provides the following contrast-enhancement methods:

·Histogram equalization: Distributes palette colors according to how frequently temperatures occur in the image.

·Plateau equalization: Limits the influence of frequently occurring temperatures on the color distribution. Use the slider below the method options to adjust the plateau level.

·Auto plateau equalization: Adjusts the plateau level automatically.

To select a contrast-enhancement method:

1. Open the Palette dialog.

2. Select a method below the palette list.

3. If you select Plateau equalization, adjust the slider as needed.

4. Click OK.

Select No contrast enhancement to turn enhancement off.

Figure 1. No contrast enhancement

Figure 2. Histogram equalization

Figure 3. Auto plateau equalization

The figures show the same image and temperature range with different contrast-enhancement methods. Each method distributes the palette colors differently.

Note:

Contrast enhancement changes only the palette colors. It does not change the image temperature values.

See also:

§Same Range and Same Palette options

§Isotherms

§Changing temperature unit


Isotherms

Use isotherms to highlight temperatures above or below a threshold, or within a selected interval. For example, a red isotherm on a grayscale image can make hot areas easier to identify. Isotherms change the image colors, not the measured temperatures.

Adjust isotherms on the scale

In IRT Cronista, use the Temperature Scale window to adjust isotherms for the focused infrared image. Small triangular markers beside the color bar indicate the isotherm limits.

Clear the Same Palette check box if you want to change only the focused image. When this option is selected, isotherm settings are shared with the other infrared images in the folder.

isothems2

Drag a boundary marker to change a limit. Drag within an isotherm band to move the highlighted interval along the scale. To enter exact temperatures, use the Isotherms dialog described below.

isothems3 |
An interval isotherm highlights temperatures between two limits. | Examples of top and bottom isotherm combinations.

Note:

Each palette provides default isotherm colors. If your license supports custom palette colors, you can change the isotherm colors without changing the image palette. See Custom isotherm colors below.

Set exact isotherm limits

The Isotherms dialog provides separate controls for Top isotherm and Bottom isotherm. You can enable either or both.

·Single: Uses one threshold. The top isotherm highlights temperatures above it; the bottom isotherm highlights temperatures below it.

·Dual: Uses two thresholds. The top isotherm highlights temperatures above the lower threshold, with a second color band above the upper threshold. The bottom isotherm highlights temperatures below the upper threshold, with a second color band below the lower threshold.

·Range: Highlights only the interval between two limits.

To set an isotherm:

1. Right-click the color bar in the Temperature Scale window.

2. Select Isotherms.

3. Select the Top isotherm or Bottom isotherm check box.

4. Select Single, Dual, or Range.

5. Enter the threshold temperature or the two limits beside the selected option.

6. Click OK.

To turn an isotherm off, clear its check box in this dialog. Click OK to apply the change.

Custom isotherm colors

Availability: version 2024

Use Isotherm Colors to choose colors for the focused image. The button appears only when your license supports custom palette colors and is enabled when at least one isotherm check box is selected.

Select the image palette before customizing its isotherm colors. Choosing another palette in the Palette dialog loads the saved isotherm color defaults for that palette.

To change a color:

1. Open the Isotherms dialog.

2. If neither isotherm is enabled, select the Top isotherm or Bottom isotherm check box.

3. Click Isotherm Colors.

4. Click the ... button beside the color swatch you want to change.

5. Choose a color in the color picker.

6. Click OK in the color picker.

7. Click OK in Isotherm Colors.

8. Click OK in Isotherms.

Each isotherm has two color swatches for its color transition and bands. You can change each swatch independently. For a custom gradient in Range mode, set both colors. Some palettes use a built-in color palette for interval isotherms instead.

Select Solid colors to use uniform, semi-transparent fills for the isotherm bands instead of gradients. In Range mode, the top interval uses the upper swatch under Top isotherm, and the bottom interval uses the lower swatch under Bottom isotherm. This option also replaces a built-in interval palette with a single color.

Reset colors and save defaults

Click Reset to Default in Isotherm Colors to restore the saved default colors and Solid colors setting for the current palette. These are your saved defaults, not necessarily the palette's factory colors. The button is disabled when the current settings already match the defaults.

To reuse the current colors for new images:

1. Click Remember current colors as default for new images in Isotherm Colors.

2. Click OK in the confirmation message.

The link appears when the current settings differ from the saved defaults. The confirmed settings become the defaults for new images using that palette. They are saved immediately; canceling either dialog afterward does not undo the saved defaults.

You can also edit defaults through Tools > Settings > Customize isotherm colors. In that dialog, select the Palette whose defaults you want to change.


Same Range and Same Palette options

Use Same Range and Same Palette to apply shared display settings to all infrared images in the current folder. The options work independently: you can share the range settings, the palette settings, or both.

When either check box is cleared, changes to the corresponding settings affect only the focused image, even if multiple images are selected. Selecting several images does not apply those changes to the entire selection.

Both check boxes are in the Temperature Scale window. If the window is hidden, show it using View > Temperature Scale.

Same Range

Select Same Range to share the focused image's range settings. Subsequent range changes in the Temperature Scale window apply to the folder.

·Preset: Each image uses its camera-stored display range, with automatic limits as a fallback. The limits can differ between images.

·Auto: The program calculates limits separately from each image's histogram. The limits can differ between images.

·Custom: All images use the upper and lower limits specified in Custom Range.

Clear Same Range to restore each image's individual range settings. Further range changes then affect only the focused image.

Same Palette

Select Same Palette to share the focused image's palette settings. This includes the palette, color inversion, color steps, top and bottom isotherms and their custom colors, and the contrast-enhancement method where available.

Subsequent changes to these settings apply to all infrared images in the folder. Clear Same Palette to restore each image's individual palette settings. Further palette changes then affect only the focused image.

Note:

The main Temperature Scale window applies each setting either to the focused image or to the whole folder, not to separate groups within the folder.

If several groups need different settings, clear Same Range for different ranges, Same Palette for different palettes, or both. Select each group in turn and use Temp. Scale for Selection to apply its settings. See Changing range and palette for selected images.

Compare images using shared settings

For a consistent basis for visual comparison:

1. Open the folder containing the images.

2. Click the image whose settings you want to use as a starting point to give it focus.

3. Select the Same Range check box.

4. Click Custom.

5. Enter the upper bound in Upper Limit.

6. Enter the lower bound in Lower Limit.

7. Click OK.

8. Select the Same Palette check box.

9. Open the Palette dialog.

10. If contrast-enhancement options are available, select No contrast enhancement.

11. Click OK.

Important:

Colors are mapped from pixel temperature values, not raw detector values. A shared palette alone does not make colors comparable when the numeric range limits differ. Histogram-based contrast enhancement can also map temperatures to different colors in different images, even when the palette and limits are shared.

Sharing Preset or Auto does not guarantee identical numeric limits: each image uses its own stored range or independently calculated limits. Use Custom to share the same numeric limits.


Changing range and palette for selected images

Availability: version 2024

Use Temp. Scale for Selection to apply temperature range or palette settings to several infrared images at once. The command appears in the context menu when at least two infrared images are selected and your license supports it.

This command changes the selected images' individual settings without changing the other images in the folder. For example, use it to give a group of inspection images the same custom temperature limits.

Use Temp. Scale for Selection only when the settings you want to change are not shared by the whole folder - Same Range or Same Palette settings are cleared.

Check the sharing options first

A folder-wide setting cannot be overridden for selected images in this dialog. The two sharing options restrict the controls independently:

Same Range | Same Palette | What you can change for the selection
Cleared | Cleared | Both range and palette settings
Selected | Cleared | Palette settings only; range controls are disabled
Cleared | Selected | Range settings only; palette controls are disabled
Selected | Selected | Neither; OK is disabled

The dialog displays a message when sharing prevents changes.

To apply settings to selected images

1. In the Folder Contents Select the infrared images you want to change.

2. Right-click one of the selected images.

3. Select Temp. Scale for Selection.

4. Adjust the available settings as described below.

5. Click OK to apply the settings to the selected images.

The dialog title identifies the selected images. If their settings differ, the dialog may initially show no common palette or range mode. Choose a setting explicitly when you want to apply it to the selection.

Range and palette choices

For the range, select Preset, Auto, or Custom. Preset and Auto use each image's own stored or calculated limits. Use Custom to give the selected images identical upper and lower limits.

For the palette, click Palette to choose colors and the available palette options. Applying palette settings also applies color inversion, color steps, top and bottom isotherms and their custom colors, and the contrast-enhancement method where available.

For instructions on the individual controls, see Selecting temperature span and palette and Isotherms. For folder-wide settings, see Same Range and Same Palette options.


Changing temperature unit

Choose Celsius (°C), Fahrenheit (°F), or Kelvin (K) as the temperature unit in IRT Cronista. The Temperature Scale window shows the current unit beside the color bar.

Changing the temperature unit requires a program restart. Save any unsaved work before proceeding.

To change the temperature unit:

1. Open the Tools menu.

2. Select Settings.

3. Select the required unit from the Temperature unit list under Regional Settings.

4. Click OK.

5. Confirm the program restart when prompted.

The new unit takes effect after the program restarts.


Notations overview

Notations in IRT Cronista are reusable text entries organized into categories. Use them to record inspection details consistently, such as location, equipment, findings, and recommended actions, without repeatedly typing the same text.

Categories, sets, and image selections

A category groups related entries. A notations set contains the categories and their available entries. For example, a set could include:

·Location: Warsaw, Munich, New York.

·Equipment: Pump starter, Motor controller, Lighting breaker.

·Problem Class: No fault, Possible fault, Fault.

For each image, select the entries that describe it. Depending on the category type, you can select one entry or several. Images can share the same notations set while using different selections.

Using notations in IRT Cronista

You can edit image notations in Organizer or Analyzer mode. In Organizer mode, the Notations window shows the notations for the focused image - the image displayed in Preview.

Use Comments for free-text details that are not covered by the reusable entries. Report templates can include an image's selected notations and comments.

Where notations come from

In IRT Cronista, the available notations depend on the current folder's settings and any inherited notations:

·Shared Notations provides the default notations when neither the folder nor its parent folders specify another set.

·Notations Briefcase stores reusable notations sets that you can link to folders.

·Folder Notations stores notations with the images in a folder. Depending on the inheritance settings, these can be combined with notations from parent folders and made available to subfolders.

·A report template can also supply a notations set if it contains one.

Use Notations Set at the top of the Notations window to review the current folder's notations sources or choose another set. Choosing a set determines which entries are available; selecting entries assigns them to an image.

Related topics

§Creating a notations set

§Shared notations

§Notations briefcase

§Assigning notations to images

§Folder notations

§Notations in reports


Creating a notations set

Use the Notations Editor to create categories, add reusable text entries, and choose default selections and comments for a notations set.

In IRT Cronista, each notation belongs to a category. Defining a set determines which entries are available; selecting entries for an image records the details of that inspection.

Plan the categories

Start with the information you need to record. For example:

·Location: Warsaw, Munich, New York

·Equipment: Pump starter, Motor controller, Lighting breaker

·Problem Class: No fault, Possible fault, Fault

·Problem: Circuit hot, overloaded; Temperature abnormality; Fuse clip overheated

Category types

Choose how many entries an image can use from each category:

·Single selection: Allows one selected entry, shown with an option button. Use this for mutually exclusive choices, such as Problem Class.

·Multiple selection: Allows several selected entries, shown with check boxes. Use this when more than one entry can apply, such as Problem.

Open the editor

To create a reusable set, open the Notations briefcase and use its toolbar command to create a set. Enter a name in New Notations, then click OK to open the editor.

To edit the default set instead, open Shared notations. Changes to a shared or linked set affect the folders that use it.

Add categories and notations

The following steps start with an empty set. When editing an existing set, select a category or notation before using the insertion commands.

To add the Location category and its entries:

1. Click the empty notations area to create the first category.

2. Type Location as the category name.

3. Press Enter to finish editing the name.

4. Press Enter again to insert a notation in the category.

5. Type Warsaw.

6. Press Enter to finish editing the notation.

7. Repeat steps 4–6 to add Munich and New York.

To add another category, finish editing the current entry, then press Shift+Enter. Type the category name and press Enter to finish it. Add its entries as described above. Repeat for Equipment, Problem, and Problem Class.

While you are typing a name or entry, Enter finishes editing. When an item is selected and you are not typing, Enter inserts a notation and Shift+Enter inserts a category.

Set category types and defaults

New categories allow multiple selection by default. Select a category, then click the Single selection or Multiple selection toolbar button [image] to change its type.

For example, use Single selection for Problem Class and Multiple selection for Problem.

To preselect an entry for images that use this set, select its check box or option button. For example, select Warsaw if it is the usual inspection location. Defaults provide starting values; review inspection-specific findings for each image.

Editor toolbar

Use the toolbar to edit the selected category or notation:

Insert a category or notation. Use the arrow beside Add to choose which to insert.

Undo the last action.

Redo the last undone action.

Rename the selected category or notation.

Delete the selected notation or category. Deleting a category also deletes its notations.

Move the selected category or notation up.

Move the selected category or notation down.

Allow one selected entry in the category (option buttons).

Allow several selected entries in the category (check boxes).

Set the selected notation's text color and bold formatting. The style also applies to report fields.

Notations inheritance

The Inherit notations check box controls whether the current folder inherits notations from parent folders. This option is available only for Folder Notations. See Folder notations.

Select the check box to combine the folder's own notations with inherited notations. Clear it to use only the folder's own notations.

Comments

Use the Comments field at the bottom of the editor to enter a default comment for images that use this set. You can edit the comment for an individual image later.

Save changes

Click OK to save the set.

To use a new set for the images in a folder, link it to that folder as described in Assigning notations to images. Creating a set in the briefcase does not assign it to the current image folder automatically.


Shared notations

Shared Notations is the default notations set for folders that inherit it. Use it when the same categories and reusable entries suit most of your inspections.

Images that use the shared set can have different notation selections and comments. Sharing a set does not mean assigning the same entries to every image.

When shared notations apply

Images use the shared set unless their folder or a parent folder specifies another set or stops inheriting notations. Folder Notations can extend the shared set when inheritance is enabled.

If different inspections need different sets, store them in the Notations briefcase and link the appropriate set to each folder.

Edit shared notations

1. Open the Tools menu.

2. Select Shared Notations.

3. Edit the categories, entries, default selections, or comments.

4. Click OK to save your changes.

For editor instructions, see Creating a notations set.

Important:

Editing the shared set affects all folders that use or inherit it, not just the current folder. To make changes for one inspection folder only, use a separate notations set or Folder Notations.

Choose another shared set

1. Open the Tools menu.

2. Select Notations Briefcase.

3. Select the set you want to use as the default.

4. Click Make Shared on the toolbar.

The selected set becomes the shared default in place of the previous set. This changes the default for folders that inherit shared notations; it does not replace sets linked separately to other folders.

Related topics

§Notations briefcase

§Folder notations

§Assigning notations to images


Notations briefcase

The Notations Briefcase stores reusable notations sets. Keep separate sets for different inspection types, equipment, or clients, and link each image folder to the set it needs.

Open the Notations Briefcase

1. Open the Tools menu.

2. Select Notations Briefcase.

Browse the sets

Select a set in the right pane to preview its contents on the left:

·Notations: The right pane lists the available sets.

·Preview: The left pane shows the categories and entries in the selected set.

Create a set

1. Click New on the toolbar.

2. Enter a unique name in the New Notations dialog.

3. Click OK to open the editor.

4. Add categories, entries, and any default selections or comments.

5. Click OK in the editor to save the set.

For editor instructions, see Creating a notations set.

Edit a set

1. Select the set in the right pane.

2. Click the edit button on the toolbar.

3. Make your changes in the editor.

4. Click OK to save them.

Important:

Editing a set affects every folder linked to it. Editing the shared set also affects folders that inherit it. To keep changes separate, create or copy a set and link the appropriate folders to that set.

Use a set for images

Creating, copying, or selecting a set in the briefcase does not assign it to the current image folder. To link a set to a folder, use Notations Set in the image's notations window, as described in Assigning notations to images. When the briefcase opens for this purpose, select a set and click Assign.

To use a set as the shared default instead, select it and click Make Shared on the toolbar. This changes the default for folders that inherit shared notations; it does not replace sets linked separately to other folders. See Shared notations.

Copy or move sets

The clipboard commands in the briefcase operate on entire notations-set files, not on individual entries or image selections.

To copy a set into the briefcase:

1. Copy the notations-set file from its source folder.

2. Open the Notations Briefcase.

3. Click the paste button on the toolbar.

To copy a set out, select it in the right pane, click the copy button, and paste the file into the destination folder. Use cut instead of copy only when you want to move the file; the move completes when you paste.

You can also transfer set files by drag and drop. Make sure the operation copies or moves the files as intended. Before moving or deleting a set, check whether it is shared or linked to image folders.

Toolbar buttons

The toolbar provides these commands:

Create a notations set.

Open the selected notations set for editing.

Delete the selected notations set file.

Cut the selected notations set file to the clipboard. Pasting moves it to the destination.

Copy the selected notations set file to the clipboard. Pasting creates a copy at the destination.

Paste copied or cut notations set files into the briefcase.

Use the selected notations set as the shared default.

Related topics

§Shared notations

§Folder notations


Assigning notations to images

Assign notations to associate an image with information of your choice. You define the categories and entries to suit your needs; they can cover any subject. The folder's notations set provides the available entries; each image can use a different selection.

You can edit image notations in Organizer or Analyzer mode. In Organizer mode, the Notations window shows the notations for the focused image - the image displayed in Preview. Selecting several images does not apply these edits to the entire selection.

Show image notations in Organizer mode

1. If Preview is hidden, select View > Preview.

2. If the information area is hidden, select View > Infoview.

3. Click the image in Folder Contents to give it focus.

4. Select the Notations tab next to File Info.

Choose the folder's notations set

If the required entries are already available, you do not need to choose another set. A folder can use inherited notations, including Shared notations, or a set linked from the Notations briefcase or a report template. Folder notations provides an advanced way to define entries for a folder.

1. Click Notations Set at the top of the Notations window.

2. Click Select Notations.

3. Choose a source from the options described below.

4. Click OK in the Notations Set dialog to keep the change.

The dialog identifies the current sources. The example combines Shared Notations and Folder Notations.

·Reset to Default: Removes the explicit link and uses the folder's own notations, if present, together with any inherited notations allowed by its inheritance settings. This option is unavailable when the folder already uses the default.

·From Notations Briefcase: Opens the briefcase. Select a set and click Assign.

·From a Report Template: Opens the template selection dialog. Choose a template that contains notations. Templates without stored notations cannot supply a set.

Note:

Choosing a set changes the available notations for the folder, not just the focused image. It does not mean selecting the same entries for every image.

Select entries for an image

1. Click the image you want to annotate.

2. Click inside the Notations area to show the available entries.

3. Select the check boxes or option buttons for the entries that apply to the image.

A category with check boxes allows multiple selections. A category with option buttons allows one selection.

When the notations area has keyboard focus, it shows all available entries. When you click elsewhere, it normally shows only the entries selected for the image. Select Lock edit mode to keep all available entries visible. This locks the editor's display mode, not the focused image.

Note:

Editing a stack's notations in Organizer mode applies the changes to the stack's images. To edit one image in a stack, open Grouped Items and give that image focus. See Image stacks.

Add an entry that is missing

To add an entry for the focused image only:

1. Click inside the Notations area to enter edit mode.

2. Right-click the category that should contain the entry.

3. Select Insert Notation.

4. Type the new entry.

5. Press Enter to finish editing.

The new entry is selected for the image. If you need a new category, use Insert Category first. To make an entry available to other images, edit the folder's source set instead; see Creating a notations set. Changes to a shared or linked set affect every folder that uses it.

Add comments

Use Comments below the notations to enter free-text details for the focused image. Comments are separate from the reusable entries in the notations list.

Remove image-specific entries or selections

Clear an editable check box to stop using that entry for the image. In a single-selection category, choose the entry that should apply instead.

To delete an entry added directly to the image, right-click that entry and select Delete. Inherited entries belong to the source set and cannot be deleted from the image's list. Edit or clear Comments separately.

Copy notations between images

Note:

With a well-designed notations set, copying notations between images is unnecessary. Include reusable categories and entries in the set so they are available to every image that uses it. Then select the entries that apply to each image.

The notations editor copies categories and entries with their selection states. It does not copy the linked set file or the Comments text. Paste adds copies; it does not replace the destination's existing notations. If a name already exists, the pasted name receives a numeric suffix.

Keep Lock edit mode selected during the following procedure so that the notations list remains in edit mode.

1. Click the source image.

2. Right-click a blank area in its Notations list, outside any category or entry.

3. Press Esc to close the menu without selecting a command.

4. Press Ctrl+C to copy the list.

5. Click the destination image.

6. Right-click a blank area in its Notations list.

7. Press Esc to close the menu.

8. Press Ctrl+V to paste.

Right-clicking a blank area clears the category or entry selection so that the clipboard operation applies to the whole list. It does not clear any checked entries.

To copy only one category, click its name instead of performing steps 2–3, then continue from step 4. To copy one entry, click its text before copying and select the destination category before pasting.

Related topics

§Creating a notations set

§Shared notations

§Notations briefcase

§Folder notations


Folder notations

Folder notations provide a local notations set for images in a folder and subfolders that inherit from it. Use them when you want to keep a set with its images or customize the available categories and entries for one part of your folder tree.

Note:

For most tasks, Shared notations or a set linked from the Notations briefcase is sufficient. Folder notations offer an additional way to organize sets locally.

Create or edit folder notations

The Notations for Folder command creates a local set or opens the existing one. It also removes the folder's link to a set in the Notations Briefcase or a report template; it does not copy that linked set.

1. Switch to Organizer mode.

2. Open the folder that will use the notations.

3. Select File > New > Notations for Folder to open the editor.

4. Define or edit the categories, entries, and defaults as described in Creating a notations set.

5. Set the Inherit notations check box as described under Notations inheritance below.

6. Click OK to save the set.

The local set appears as Folder Notations in the folder:

Start with a copy of an existing set

To create an independent local copy, use a destination folder without an existing notations-set file. If the folder already has a local set, edit that set instead. Pasting another set file does not combine the two sets.

1. Open the destination folder in Organizer mode.

2. Select Tools > Notations Briefcase.

3. Select the required set in the right pane.

4. Click the copy button on the briefcase toolbar.

5. Click Close to return to the image folder.

6. Right-click an empty area of Folder Contents.

7. Select Paste.

The original set remains in the briefcase. Editing the local copy does not change the original, and later changes to the original do not update the copy. If the folder still uses a linked set, switch to folder notations as described below.

Switch from a linked set to folder notations

A set linked from the Notations Briefcase or a report template takes precedence over the folder's local file. To use the local set instead:

1. Click an image in the folder.

2. Click Notations Set at the top of the image's Notations window.

3. Click Select Notations.

4. Select Reset to Default.

5. Click OK.

This removes the link without deleting the source set. The folder uses its local set, if present, and any inherited notations allowed by its inheritance settings. Reset to Default is unavailable when the folder already uses the default.

Notations inheritance

Inheritance makes notations from a parent folder available in its subfolders. A parent can supply its own local set or a linked set. Shared notations provide the default when inheritance continues up the folder tree without another source replacing them.

In the Notations Editor, use the Inherit notations check box to control how the local set works:

·Select it to combine the folder's own notations with inherited notations.

·Clear it to use only the folder's own notations.

Changes to folder notations affect the images in that folder and any subfolders that inherit them. Subfolders can use their own settings to change or stop inheritance. Changes do not affect unrelated folders or the original of a copied set.

The set defines the available entries and defaults; each image can still use a different selection. For example, a parent folder can provide common categories while subfolders add entries specific to their images.

Related topics

§Creating a notations set

§Assigning notations to images


Assets

Availability: Version 2026 Ultimate and Pro editions

Assets let you import structured information about inspected equipment, locations, or other items from a CSV file and associate it with images in a folder. Each CSV row represents one asset. The imported column names become notation categories, and the values in the row become selected notations for the associated image.

Asset information appears with the image's other notations and can be used in reports. Assets are stored in the current folder and apply only to image items in that folder.

Prepare the CSV file

Prepare the file so that:

·the first row contains column names;

·each following non-empty row contains the information for one asset;

·the row order matches the intended image order whenever possible;

·the file uses a semicolon, comma, or tab as the separator and is saved as ASCII or UTF-8.

For example:

Location;Equipment;Asset ID

Building A;Pump 01;P-001

Building A;Pump 02;P-002

Building B;Motor 01;M-001

Import assets

Prerequisite: If the Assets section is unavailable, assign a notations set to the folder.

1. In Organizer or Analyzer mode, open the folder that contains the images.

2. Display the Notations window.

3. Expand the Assets section.

4. Select Import Assets.

5. Select the CSV file.

6. Verify the detected code page and separator in the Assets Import dialog.

7. Change the code page or separator if the preview does not show the expected rows and columns.

8. Select the columns to import.

9. Clear the check box for each column that you want to exclude.

10. Select a column that you want to rename.

11. Press F2.

12. Enter the notation category name.

13. Review the first ten rows in the preview.

14. Select Import.

The data is copied into the folder when it is imported. Later changes to the original CSV file are not synchronized automatically.

Automatic asset assignment

By default, IRT Cronista assigns assets to images sequentially: the first asset row is assigned to image T1, the second row to T2, and so on. Automatic assignment follows the current sorted order of image items in the folder and is updated when that order changes.

·If there are more asset rows than image items, the remaining assets are not assigned.

·If there are more image items than asset rows, the remaining images have no asset until you add a manual link.

·An image stack is treated as one image item, so one asset applies to the stack.

When you select an image, its assigned asset is selected in the Assets section. The label at the bottom of each asset card shows its assignment:

·Auto T1 indicates automatic assignment to image T1;

·Auto T3-T5 indicates that the asset is used by a range of images;

·image name T2 indicates a manual link to the named image;

·No link indicates that the asset is not assigned to an image.

Link an asset to a specific image

Use a manual link when the asset and image orders do not match or when you need to anchor part of the automatic assignment:

1. Select the image.

2. In the Assets section, select the asset that belongs to the image.

3. Select Link.

The manual link becomes an anchor. IRT Cronista automatically assigns the images before, between, and after anchors to the available assets in the same sequence. If a segment contains more images than available assets, its last asset is reused for the remaining images.

Important:

Keep manual links in the same order as the assets. If links cross—for example, a later image is linked to an earlier asset—automatic assignment is suspended and only the manually linked pairs are used. Use Clear all links to restore the default sequential assignment.

To remove one manual link, select the linked asset and select Unlink. The automatic assignment is recalculated immediately.

Update or remove assets

To replace asset data after changing the source CSV file, select Remove Assets.

Confirm the removal, and then import the updated file.

Removing assets deletes the imported asset data and its saved links from the current folder. It does not delete the original CSV file or any images.

Import asset columns into a notations set

You can import the column names from an asset CSV file as empty notation categories. This does not import asset rows or values. Categories that already exist in the notations set are left unchanged.

1. Open the required notations set in the Notations Editor.

2. Right-click a blank area in the editor.

3. Select Import.

4. Select the asset CSV file.

5. Select the columns to add in the Assets Import dialog.

6. Clear each column that you do not need.

7. Press F2 to rename a selected column.

8. Select Import. Each selected column is added at the top level of the set as a multiple-selection notation category.

Tip:

Using asset columns in report templates

This is especially helpful for a notations set that is linked to or stored in a report template. Importing the asset column names makes the categories available when you configure notation fields and Analysis Info tables in the template. When images are reported, assigned asset values can then fill the corresponding fields or table columns. Use the same category names when importing the asset data into folders.

Related topics:

§Assigning notations to images

§Notations in reports


Analyzer mode overview

Analyzer mode in IRT Cronista provides tools for detailed temperature measurement, image comparison, and presentation of thermographic findings.

How Analyzer differs from Organizer

Organizer mode focuses on managing images: browsing files and folders, linking infrared and visual images, and preparing image information for reports. Analyzer mode focuses on examining image content: measuring temperatures at specific locations, studying temperature patterns, and comparing results.

Many functions are available in both modes, including image properties, notations, and comments. The Temperature scale window also works the same way in both modes.

Analysis capabilities

§Temperature measurements. Read temperatures at individual points, obtain minimum, maximum, and average values along lines or within areas, and calculate differences between measurements.

§Temperature patterns. Examine profiles along lines and histograms of temperature distributions within areas.

§Image comparison. Examine one image in detail or compare several images side by side. See Single- and multi-image analysis.

§Changes over time. Trends show how corresponding measurements change across images from the same folder and can provide estimates of future temperature values.

§Areas of interest. Automatically locate the hottest and coldest spots. Dew point analysis highlights areas where condensation may occur.

§Visual context. Infrared and visual image fusion combines linked images to relate temperature patterns to visible features.

Temperature-calculation parameters, such as emissivity and reflected temperature, can apply to an entire image or an individual measurement object. This allows analysis of regions with different surface properties or conditions. See Measurement parameters.

Presenting results

Measurement labels, notes, and arrows help explain findings on the image. Reports can include infrared and visual images, measurement values, graphs, notations, and comments. Images and graphs can also be copied into other documents. See Reports in Microsoft Word.

Switch to Analyzer mode

Click Analyzer on the main toolbar to switch to Analyzer mode.

Related topics

§Analyzer mode windows

§Measurement objects


Analyzer mode windows

Analyzer mode arranges the analyzed infrared image, measurement tools, image information, and graphs in one workspace. To switch to Analyzer mode, click Analyzer on the main toolbar:

The following image identifies the main Analyzer mode areas:

1. Analysis area. Displays the focused infrared image and its measurement objects.

2. Notations window. Displays notations, assets, and comments for the focused image.

3. Properties window. Displays properties of the active measurement object or, when no object is active, the focused image.

4. Graphs area. Displays line profiles, area histograms, and trends when applicable.

5. Analysis toolbar. Provides measurement-object and image-view tools.

6. Image Thumbnails window. Displays the infrared images in the current folder.

7. Scale window. Displays the temperature scale, palette, and related controls.

The main menu, main toolbar, address bar, and Folders window work as they do in Organizer mode. See Organizer mode overview.

Analysis area and toolbar

The analysis area occupies the center of the workspace. It displays the focused infrared image and the measurement objects placed on it. Use the analysis toolbar to select objects and add spots, lines, areas, notes, arrows, and other supported objects. See Measurement objects.

Notations

The Notations window displays the focused image's notations and comments. It can also display associated assets. For information about notations, see Notations overview.

Properties

The Properties window displays image or measurement-object properties. When a measurement object is active, the window displays that object's properties. When no object is active, it displays the focused image's properties.

Graphs

The graphs area displays the data associated with analysis objects. A line produces a temperature profile, an area produces a histogram, and corresponding objects from multiple images can be shown as a trend. The available tabs depend on the current image and analysis objects.

Image thumbnails

The Image Thumbnails window is a filmstrip of infrared images in the current folder. The focused image appears in the analysis area.

Temperature scale

The Scale window maps the displayed temperature range to the selected palette and provides controls for changing both. It works the same way in Analyzer and Organizer modes. See Temperature scale window.

Folders

The Folders window provides access to folders on the computer and network. Selecting a folder displays its infrared images in the Image Thumbnails window.

Show or hide windows

Use the View menu to control the Analyzer workspace:

·View > Windows: Show or hide Image Thumbnails, Temperature Scale, Graphs, or Properties.

·View > Notations: Show or hide the Notations window.

·View > Folders: Show or hide the Folders window. The keyboard shortcut is Ctrl+Shift+F.


Zooming images

IRT Cronista can display infrared images at zoom levels from 10% to 1000%. Zoom in to inspect image details or position measurement objects precisely, and zoom out to see more of the image.

Zoom in or out

Click the zoom-in button [image] or zoom-out button [image] on the analysis toolbar. You can also select View > Zoom > Increase or View > Zoom > Decrease. The same commands are available from the image context menu.

In single-image analysis, you can also point to the image and rotate the mouse wheel. Rotate it forward to zoom in or backward to zoom out. The position under the pointer remains in place as the zoom changes. In multi-image analysis, the mouse wheel scrolls through the images instead.

Select or enter a zoom level

The zoom box on the analysis toolbar displays the current zoom. Select one of the predefined values, or enter a custom value:

1. Click the zoom box.

2. Enter a value from 10% to 1000%.

3. Press Enter.

Auto zoom

Auto automatically calculates the zoom from the available analysis area. In single-image analysis, it fits the image into the window. In multi-image analysis, it also determines the image arrangement.

Select Auto in the zoom box, or select View > Zoom > Auto. The zoom box displays (A) after the percentage when Auto zoom is active.

Standard zoom

Standard uses the zoom calculated by IRT Cronista from the image dimensions and display scaling. This is also the zoom used when images are exported to reports.

Select Standard in the zoom box, or select View > Zoom > Standard. The zoom box displays (S) after the percentage when Standard zoom is active.

Navigate a magnified image

When the entire image does not fit in the analysis area, the Zoom window appears automatically. Its outlined rectangle identifies the part of the image currently visible. Drag the rectangle to display another part of the image.

Closing the Zoom window returns the image to Auto zoom.

Note:

Zooming changes only the displayed size. It does not change the infrared image data or measured temperatures.


Single- and multi-image analysis

Availability: Professional and Ultimate editions

In IRT Cronista, use single-image analysis to concentrate on one infrared image. Use multi-image analysis to compare images from the current folder while keeping them visible in the same analysis area.

Single-image analysis

Single-image analysis gives the focused image the available analysis area, making it suitable for detailed measurement and editing. When an image stack is focused, its grouped images remain visible together.

Multi-image analysis

Multi-image analysis arranges infrared images from the current folder in a scrollable grid. Use it to compare temperature patterns, measurement values, and changes between images.

The grid follows the folder's current sort order. The number of images visible at one time depends on the zoom level and available workspace. A lower zoom displays more images; use the scroll bars or mouse wheel to reach the remaining images. See Zooming images.

Switch analysis modes

Select View > Multi-Image Analysis or click the Multi-Image Analysis button [image] on the analysis toolbar. Select the command or button again to return to single-image analysis.

You can also choose single- or multi-image analysis and configure the automatic zoom and number of columns in Adjusting the analysis view.

Work with images in the grid

Click an image in the analysis area to give it focus. The Properties and Notations windows and the graphs area then display information for that image or its active measurement object.

Important:

Adding, editing, copying, or deleting measurement objects affects only the focused image. Displaying several images does not select them or apply these changes to all of them. To add objects to another image, give that image focus first.

Compare image colors

To compare images by color, all images must use the same palette and identical temperature range limits. Select Same Range, choose Custom, and specify the shared upper and lower limits. Then select Same Palette and, if contrast-enhancement options are available, select No contrast enhancement. Do not use Auto or Preset for color comparison because they can produce different range limits for individual images. With these settings, a given color represents the same temperature in every image. See Same Range and Same Palette options.

Related topics

§Adjusting the analysis view

§Zooming images


Adjusting the analysis view

Use View Adjustments in Analyzer mode to choose which infrared images appear, show or hide related information, and configure automatic zoom. Changes take effect immediately.

Open View Adjustments

Click [image] on the analysis toolbar, or select View > Adjust View.

Choose which images to display

·Display only the active image: Displays only the focused image, or the focused image stack, in the analysis area. In this option, active image means the focused image.

·Display all images in the folder: Displays the current folder's infrared images in a scrollable grid. This option is available in Professional and Ultimate editions.

See Single- and multi-image analysis.

Show image details

·Display visual counterparts: Shows linked visual images beside their infrared images.

·Display annotations: Shows comments and notation entries configured for preview beside their infrared images.

Configure automatic zoom

·Enable auto zoom: Adjusts the zoom when the available analysis area changes. In single-image analysis, the image fits the analysis area. In multi-image analysis, images are sized for the specified number of columns.

·Number of columns: Sets the number of columns in multi-image analysis when automatic zoom is enabled.

Clear Enable auto zoom to control the zoom manually. See Zooming images.


Infrared and visual image fusion

Fusion combines the temperature information in an infrared image with details from its visual counterpart. Use it to relate thermal patterns to visible components, labels, and other scene features. Fusion changes only the image display; it does not change temperature data or measurement results.

The Fusion command is available when the focused infrared image has a visual counterpart and contains the alignment information required for fusion. Fusion settings apply only to the focused image.

Fusion effects

Transparency blending: Blends the infrared and visual images. This can show the location of a thermal pattern within the visible scene.

Alarm range: Displays infrared information only for temperatures that meet a selected condition. The visual image appears in the remaining areas.

Details enhancement: Adds edges and fine details from the visual image to the infrared image.

Open the Fusion dialog

1. Click the infrared image to give it focus.

2. Select View > Fusion, or right-click the image and select Fusion.

The image preview updates as you adjust the settings. Click OK to keep all changes, or click Cancel to restore the settings that were in effect when you opened the dialog.

Adjust transparency and details

·Transparency: Move the upper slider toward Infrared to show more of the infrared image, or toward Visual to show more of the visual image.

·Details: Move the lower slider to the right to add more visual-image detail. Move it fully to the left to remove the enhancement.

Align the images

If corresponding features do not overlap, move the transparency slider to an intermediate position so that you can see both images. Then use the Image Alignment controls:

·Left, Right, Up, and Down move the visual image.

·Zoom + and Zoom - resize the visual image.

·Reset restores the alignment that was in effect when you opened the Fusion dialog.

You can also use the arrow keys to move the visual image and the plus and minus keys to resize it while the Fusion dialog is open.

Set an alarm range

An alarm range keeps the infrared layer visible for temperatures that meet a selected condition and makes it transparent elsewhere.

1. Click Alarm Range.

2. Select the Enable check box.

3. Select a temperature condition.

4. Enter the enabled temperature limit or limits.

5. Optionally, select the One color check box.

6. Click OK.

The available conditions are:

·High Temperatures: Shows infrared information above the specified upper limit.

·Low Temperatures: Shows infrared information below the specified lower limit.

·Temperature Range: Shows infrared information between the lower and upper limits.

·High and Low Temperatures: Shows infrared information below the lower limit and above the upper limit.

When One color is selected, the matching infrared areas use fixed alarm colors instead of the image palette. The color indicator in the dialog shows the color or colors used for the selected condition.

Use Picture In Picture

Picture In Picture displays the full visual image with the infrared image overlaid in its corresponding position. When this option is cleared, visual-image areas outside the infrared image's field of view are hidden.

Select View > Picture In Picture or click the Picture In Picture button on the analysis toolbar. Select the command or button again to return to the cropped view.

Remove all fusion effects

1. Open the Fusion dialog.

2. Click Alarm Range.

3. Clear the Enable check box.

4. Click OK.

5. Move the transparency slider fully toward Infrared.

6. Move the Details slider fully to the left.

7. Click OK.


Measurement objects

Measurement objects, also commonly called ROIs (regions of interest), identify points, lines, and areas in an infrared image and calculate temperatures for those locations. Use them to document findings, compare values, create graphs, and include analysis results in reports. Each object belongs to one infrared image and is saved with that image's analysis data.

Measurement objects are available in Analyzer mode. To switch to Analyzer mode, click Analyzer on the main toolbar.

Available objects

§Spots. Measure temperature at individual image locations. IRT Cronista can also place spots automatically at the hottest or coldest locations.

§Lines. Measure temperatures along free, horizontal, vertical, or connected line segments and provide data for temperature profiles.

§Areas. Measure temperatures within rectangular, elliptical, or polygonal regions and provide data for histograms.

§Connections. Calculate the temperature difference between two measurement objects.

§Notes and arrows. Add explanatory text and visual pointers. These annotation objects do not measure temperature.

Create an object

The analysis toolbar contains tools for selecting, placing, and deleting objects. The same commands are available from the Analysis menu.

1. Click the infrared image to give it focus.

2. Select the required placement tool on the analysis toolbar or from the Analysis menu.

3. Click or draw on the infrared image as required by the selected tool.

A grouped toolbar button provides several object types or commands. Click the arrow beside the button to open its menu. For example, the Area menu contains Rectangle, Ellipse, and Polygon.

Active and selected objects

The active object is the primary object for commands that require one object. It is also selected. Other objects can be selected at the same time, but only one object in the focused image can be active.

The following image shows the three object states:

§L1 is active and selected. It has black handles.

§Spots A and B are selected but not active. White handles surround them.

§L2 is not selected and has no handles.

Use the Selection Tool to select objects. Click an object to select it and make it active. Click a blank part of the infrared image to clear the object selection. See Selection tool.

The Properties window displays the active object's properties. When no object is active, it displays the focused image's properties. Commands that support multiple objects apply to all selected objects.

Delete measurement objects

1. Select the objects to delete.

2. Click the delete button [image] on the analysis toolbar, or press Delete.

To delete objects by type, open Analysis > Delete and select All Spots, All Lines, All Areas, or All Notes. Select All Objects to remove every object from the focused image.

Related topics

§Measurement parameters

§Selection tool

§Object labels

§Spot measurements

§Temperature differences

§Finding hot and cold spots

§Line measurements and profiles

§Area measurements and histograms


Measurement parameters

Use measurement parameters to account for surface and environmental conditions in temperature calculations. You can set parameters for an infrared image or an individual measurement object, reuse temperature-calculation parameters with parameter sets, and apply averaging or a temperature offset to measurement objects.

Temperature-calculation parameters

Temperature-calculation parameters include emissivity, reflected temperature, transmission, and any other parameters supported by the infrared image. Emissivity is the ratio of energy emitted by a real surface to energy emitted by an ideal blackbody at the same temperature. Reflected temperature usually represents the temperature of the surroundings reflected by the measured surface.

Set these parameters for the entire image or override them for an individual measurement object.

To change an image's or measurement object's parameters:

1. Right-click the image or measurement object.

2. Select Parameters ....

3. Select the parameter to change.

4. Enter the new value.

5. Click OK.

You can also double-click an image or measurement object to open its parameters dialog.

Note:

A measurement object that does not have its own temperature parameters inherits them from the image. When an image parameter is changed, the corresponding inherited value is updated automatically. However, values set directly for an object are not affected.

A single quotation mark before an object name indicates that the object has its own temperature parameters.

The row below the infrared image shows its most important temperature-calculation parameters.

Parameter sets

Availability: version 2024, Professional and Ultimate editions

Use parameter sets to save reusable combinations of temperature-calculation parameters and apply them wherever the same conditions apply. Parameter sets help you use consistent parameters across images and measurement objects.

A parameter set contains only temperature-calculation parameters. It does not contain Averaging or Temp. Offset settings.

Create and edit parameter sets

1. Open the parameters dialog for an image or measurement object whose values you want to use as the starting point.

2. Click the ellipsis button.

3. Select Edit Parameter Sets ....

4. Click Add.

5. Enter a name for the set.

6. Click OK.

7. Edit the new set's parameter values.

8. Click OK to save the parameter sets.

A new set starts with the temperature-calculation parameters of the image or measurement object whose parameters dialog you opened. Select a set in the Parameter Sets dialog to review or change its values. Click Remove to delete the selected set.

Apply a parameter set

To apply a parameter set to an image:

1. Right-click the image outside any measurement object.

2. Select Apply Parameter Set.

3. Select the parameter set.

To apply a parameter set to measurement objects:

1. Select the measurement objects.

2. Right-click one of the selected objects.

3. Select Apply Parameter Set.

4. Select the parameter set.

Set the default for new objects

In the Parameter Sets dialog, select a set from the Default for new objects: list. IRT Cronista automatically applies that set when you create a measurement object, including on another image. Select Same as Image if new objects should inherit the parameters of their image.

Averaging

Use spatial averaging to reduce the effect of noise at individual pixels. IRT Cronista calculates each measurement value from a 3x3 or 5x5 area around the pixel.

Right-click a measurement object, point to Averaging, and select 3x3 or 5x5. Select OFF to disable averaging.

Note:

Averaging applies only to measurement objects, not to the entire image.

Temperature offset

Temperature offset adds a positive or negative value to a measurement object's calculated temperature. Right-click the object, select Temp. Offset ..., and enter the offset.

Properties window

The Properties window shows the active measurement object's properties. When no measurement object is active, it shows the focused image's properties.

The left image below shows measurement-object properties. The right image shows image properties. To display image properties, click an area of the focused image that contains no measurement object. The available properties depend on the object type and camera model.

Image properties display information stored with the image. Read-only properties can include image size, temperature range, calibration range, and camera serial number. Editable properties can include date, time, reflected temperature, atmospheric temperature, emissivity, and humidity.

To restore the image parameters recorded by the camera, double-click Restore original in the image-properties list.

Measurement-object properties can include position, line or area nodes, spot temperature, and maximum, minimum, or average temperatures. The available properties depend on the object type.

Changing a spot's position moves the spot. Changing a line or area node moves that endpoint.


Object labels

Measurement object labels identify objects and display selected measurement values directly on an infrared image. The default contents depend on the object type. For example, a spot label shows its temperature, while line and area labels show their minimum and maximum temperatures.

You can change a label's identification, contents, and appearance. You can also move labels with the selection tool.

Open the label dialog

1. Select the selection tool [image] .

2. Right-click the measurement object.

3. Select Label ....

4. Change the label settings.

5. Click OK.

Alternatively, double-click the label. Changes appear on the image while the dialog is open. Click Cancel to restore the settings that were in effect when you opened the dialog.

Hide label hides the entire label without deleting the measurement object.

Identification

Availability: Object ID and Object name are available in version 2026 Professional and Ultimate editions

Expand Identification to configure the following information:

·Object ID: Sets the compact identifier shown in the label header.

·Object name: Sets the descriptive name used in locations such as the Properties window and report fields.

·Extra text: Adds custom text to the label. The text can contain multiple lines.

Use a placeholder in an object ID or object name to create a unique value from the object's sequence. {n} inserts a number, {A} inserts an uppercase letter, and {a} inserts a lowercase letter. For example, Area {n} produces names such as Area 1 and Area 2.

Appearance

Expand Appearance to configure the label and object display:

·Classic and Plain select the display style.

·Size (%): Sets the label size. The adjacent check box makes the text bold.

·Text color: Sets the label's text color.

·Background: Sets the label's background color.

·Arrow: Shows or hides the arrow between the label and its object. The value sets the arrow width.

·Arrow color: Sets the arrow color.

·Transparency: Adjusts the label background from opaque to transparent. The adjacent check box outlines the text with the background color to keep it visible against the image.

Click an ellipsis button beside a color to select another color.

Data overlay

Expand Data overlay to select the values shown in the label. The available properties depend on the measurement object type.

Use In label header: to display one eligible property beside the object ID in the label header. Select --- to keep the selected properties in the label's data rows.

For line and area objects, use Min-max spots: to control markers at the minimum- and maximum-temperature locations. Auto min-max spots displays a marker when the corresponding minimum or maximum property is included in the label. The other options always show both markers, show one marker, or show neither marker.

Change multiple labels

To apply the same settings to several labels, select the measurement objects and open the label dialog from one selected object. The changes apply to all selected objects. When selected objects have different types, only settings common to those types are available.

Hold down Shift while clicking objects to select more than one. See Selection tool.

Default label settings

Select Remember current settings as default for new objects to use the current supported label settings for subsequently created objects. Existing labels do not change.

Click Reset to Default to apply the saved defaults to the label or selected labels currently being edited.


Selection tool

Use the selection tool [image] to select, move, and reshape measurement objects. You can also reposition object labels and open object or image commands.

Activate the selection tool

Click Selection Tool on the analysis toolbar, or select Analysis > Selection Tool.

Tip:

To return to the selection tool after placing an object, right-click a blank area in the image.

Select objects

Click a measurement object to select it and make it active. The active object is part of the selection and is the object used by commands that require one object. Click a blank area of the focused image to clear the object selection.

Use any of the following methods to select multiple objects:

§Hold down Shift and click each additional object. The last object clicked becomes active.

§Start in a blank image area and drag a selection rectangle that fully encloses the objects. This replaces the current selection.

§Press Ctrl+A to select all measurement objects in the focused image.

§Select Analysis > Select > All Objects, All Spots, All Lines, All Areas, or All Notes.

Commands that support multiple objects apply to every selected object. Press Delete to delete the selected objects.

Move and reshape objects

§Drag an object's body to move it. If several objects are selected, dragging the body of a selected object moves all selected objects.

§Drag an object handle to reshape that object.

§Drag an object label to reposition the label.

§Press an arrow key to move all selected objects by one image pixel.

Open dialogs and context menus

§Double-click a measurement object's body to open its parameters dialog.

§Double-click an object label to open its label dialog.

§Double-click a blank area of the infrared image to open the image's parameters dialog.

§Right-click a measurement object, its label, or a blank image area to open the corresponding context menu.

See Measurement parameters and Object labels.


Spot measurements

Use the spot tool [image] to measure the temperature at a point in an infrared image. You can place spots manually or locate temperature extremes automatically.

Measure a point temperature

To place a spot:

1. Select Spot [image] on the analysis toolbar, or select Analysis > Spot.

2. Move the pointer over the focused image to view the temperature at the pointer position.

3. Click the point to measure.

Over the image, the pointer changes to [image]. The spot label displays the measured temperature.

Locate temperature extremes

Use Hottest Spot or Hot/Cold Spots ... in the spot-tool submenu to locate one or more temperature extremes automatically.

For details, see Finding hot and cold spots.

Select or delete all spots

Open the spot-tool submenu and select Select Spots to select all regular and automatically located hot or cold spots in the focused image. Select Delete Spots to remove them.

For more information about selecting and editing measurement objects, see Selection tool.


Temperature delta

Use the connection tool [image] to calculate the difference between temperature values from two measurement objects.

Create a temperature difference

A connection calculates the first object's selected value minus the second object's selected value. You can connect spots, lines, or areas. Create both measurement objects before creating the connection.

To connect two measurement objects:

1. Select Connection Tool [image] on the analysis toolbar, or select Analysis > Connection Tool.

2. Drag from the measurement object whose value will be the first value in the subtraction.

3. Release the mouse button over the measurement object whose value will be subtracted.

The connection label displays the calculated difference. By default, a connection uses Value for a spot and Max for a line or area. The difference updates when either source value changes.

Select the values to subtract

A spot provides its Value. A line or area provides Min, Avg, and Max. Select independently which property to use from each connected object.

To change the values used by a connection:

1. Activate the selection tool [image] .

2. Double-click the connection line.

3. In Left value, select the property from the first object.

4. In Right value, select the property from the second object.

5. Click OK.

You can also right-click the connection line or its label and select Parameters .... The Difference row shows the first selected value minus the second selected value.

For more information about selecting and editing measurement objects, see Selection tool.


Finding hot and cold spots

Use automatic hot and cold spots to identify temperature extremes in an infrared image. You can mark the single hottest point immediately or search for several hot or cold points using distance and temperature criteria.

Mark the hottest point

Select Hottest Spot from the spot-tool submenu, the Analysis menu, or the focused image's context menu. IRT Cronista places an automatic spot at the highest-temperature pixel in the focused image.

Find several hot or cold spots

To find hot or cold spots:

1. Select Hot/Cold Spots ... from the spot-tool submenu, the Analysis menu, or the focused image's context menu.

2. Under Look for, select Hot spots or Cold spots.

3. Enter the required number in Spots number:.

4. For two or more spots, enter their minimum separation in pixels in Minimum distance:.

5. To restrict the search to a temperature interval, select Enable under Temperature range.

6. If enabled, enter the lower and upper temperature limits in Min / Max:.

7. To apply the search to every image in the current folder, select the Process all images check box.

8. Click Find.

9. Click Close.

If Process all images is cleared, the search applies only to the focused image.

Note:

The search can return fewer spots than requested if the temperature range or minimum distance excludes other suitable pixels.

Each search replaces existing automatically located spots of the selected type in the processed image or images. Regular spots and automatically located spots of the other type remain unchanged.

Clear automatic hot or cold spots

1. Open the Hot/cold spots dialog.

2. Select the type of spot to remove.

3. Enter 0 in Spots number:.

4. To clear that type from every image in the current folder, select the Process all images check box.

5. Click Clear.

The Find button changes to Clear when Spots number: is 0.

Identify automatic spots

An exclamation point in the spot name identifies an automatically located spot. Hot-spot names use uppercase letters, and cold-spot names use lowercase letters. In the following example, A!, B! and C! are hot spots, and d! is a cold spot.

Note:

The measurement position of an automatically located spot cannot be moved manually.

For information about placing and managing regular spots, see Spot measurements.


Line measurements and profiles

Use line measurement objects to analyze temperatures along a straight or segmented path. A line can display its minimum, maximum, and average temperatures and produce a temperature profile.

Choose the line type from the line-tool submenu:

§Free Line: Draws a straight line in any direction.

§Horizontal Line: Draws a horizontal line.

§Vertical Line: Draws a vertical line.

§Polyline: Draws a path consisting of multiple connected segments.

Draw a straight line

1. Open the line-tool submenu on the analysis toolbar.

2. Select Free Line, Horizontal Line, or Vertical Line.

3. Drag from the start point to the end point in the focused image.

Draw a polyline

1. Open the line-tool submenu on the analysis toolbar.

2. Select Polyline.

3. Click the first point in the focused image.

4. Click each additional vertex in sequence.

5. Right-click to finish the polyline.

View temperature profiles

When you create a line, IRT Cronista displays its temperature profile in the Graphs area. The horizontal axis shows consecutive pixels along the line from its start point to its end point. The vertical axis shows temperature.

If the Graphs area is hidden, select View > Windows > Graphs.

If the focused image contains multiple lines, the graph displays all their profiles. The active line's profile is bold, and the displayed Min, Max, and Avg values apply to that line.

Right-click the graph to copy it or change settings for the active line.

Note:

The Graphs area can display several profiles together. In a report, each profile placeholder displays the profile for one line object.

Set the profile scale

Use the same custom scale when you need to compare profile heights against the same temperature limits.

1. Select the line or lines to change.

2. Right-click a selected line.

3. Select Profile Scale ....

4. Select Auto or Custom.

5. For a custom scale, enter the minimum and maximum temperatures.

6. Click OK.

The selected scale applies to every selected line. Auto adjusts the vertical scale to the profile data; Custom uses the specified temperature limits.

Display a profile on the image

Right-click a line object and select On-Image Profile to display its temperature profile directly over the infrared image. Select the command again to hide the on-image profile.

Note:

The Profile Scale ... setting does not affect the on-image profile.

Select or delete all lines

Open the line-tool submenu and select Select Lines to select all line objects in the focused image. Select Delete Lines to remove them.

For more information about selecting, reshaping, and editing measurement objects, see Selection tool.


Area measurements and histograms

Use area measurement objects to analyze temperatures within a region of an infrared image. An area can display its minimum, maximum, and average temperatures and produce a histogram of the temperature distribution.

Choose the area type from the area-tool submenu:

§Rectangle: Draws a rectangular area.

§Ellipse: Draws an elliptical or circular area.

§Polygon: Draws an area with three or more sides.

Draw a rectangle or ellipse

1. Open the area-tool submenu on the analysis toolbar.

2. Select Rectangle or Ellipse.

3. Drag diagonally across the region to measure in the focused image.

Draw a polygon

1. Open the area-tool submenu on the analysis toolbar.

2. Select Polygon.

3. Click the first vertex in the focused image.

4. Click each additional vertex in sequence.

5. Right-click to finish the polygon.

View histograms

When you create an area, IRT Cronista displays its histogram in the Graphs area. The horizontal axis shows temperature. The vertical axis shows the percentage of pixels in each temperature interval.

If the Graphs area is hidden, select View > Windows > Graphs.

If the focused image contains multiple areas, the graph displays all their histograms in different colors. The active area's histogram appears in red, and the displayed Min, Max, and Avg values apply to that area.

Right-click the graph to copy it or change settings for the active area.

Note:

The Graphs area can display several histograms together. In a report, each histogram placeholder displays the histogram for one area object.

Select or delete all areas

Open the area-tool submenu and select Select Areas to select all area objects in the focused image. Select Delete Areas to remove them.

For more information about selecting, reshaping, and editing measurement objects, see Selection tool.


Dew point

Use dew-point analysis to identify surfaces where condensation may occur. Dew point is the temperature at which water vapor can condense under the specified atmospheric conditions. A surface at or below this temperature is at risk of condensation.

Open the Dew Point dialog

1. Click the infrared image to give it focus.

2. Select Analysis > Dew Point.

The Dew Point dialog uses the Atmosphere temp. and Rel. humidity values stored in the focused image's properties. Replace these values with measurements that represent the conditions at the inspected surface when available.

Calculate the dew point from atmospheric conditions

1. Clear the check box beside Dew point.

2. Enter the air temperature in Atmosphere temp..

3. Enter the relative humidity percentage in Rel. humidity.

IRT Cronista recalculates Dew point whenever either input changes.

Note:

These inputs are image properties. Depending on the camera format and atmospheric-correction mode, changing them can also affect calculated image temperatures.

Enter a known dew-point temperature

1. Select the check box beside Dew point.

2. Enter the known dew-point temperature in Dew point.

Selecting this check box disables Atmosphere temp. and Rel. humidity because the program no longer calculates the dew point from those values.

Highlight potential condensation areas

The Show dew point isotherm check box is selected when the dialog opens. The isotherm recolors image temperatures at or below the dew point with a purple-to-green band and traces the dew-point boundary in green. Clear the check box to hide this highlighting.

Click OK to save the values and isotherm setting with the focused image. Click Cancel to restore the settings that were in effect before you opened the dialog.

Important:

The dew-point isotherm identifies temperatures associated with possible condensation. It does not confirm that moisture is present.


Trends

Availability: Professional and Ultimate editions

Use trends to compare temperatures across a sequence of infrared images. A trend plots corresponding image or measurement-object values from the current folder. If the focused image belongs to an image stack, the trend uses the images in that stack instead.

A trend requires at least two infrared images and can include up to 50 images.

How objects are matched

IRT Cronista matches measurement objects by object type and index. Spot indices are A, B, C, and so on. Line and area indices are 1, 2, 3, and so on. Default object names include these indices, so corresponding objects normally have the same name in different images.

If you customize object names, the program still matches the objects by type and index. You can use an analysis template to add the same set of measurement objects to multiple images.

Display the trend

1. Select View > Windows > Graphs if the graphs area is hidden.

2. Select the Trend tab.

The vertical axis shows temperature. The horizontal axis follows the current image order. If acquisition times increase throughout that order, the axis shows Time; otherwise, it shows Image Index. To display the images chronologically, sort them by ascending date and time. See Sorting files and folders.

A vertical cursor identifies the focused image. Drag the cursor to another image position to focus the corresponding image. Point to a graph to view its temperature and, on a time axis, its date or time.

Choose values to graph

The trend can display the following values:

§Image Max: The maximum temperature in each infrared image.

§Spots: The temperature measured by each corresponding spot.

§Lines and areas: The maximum temperature measured by each corresponding object.

§Temperature deltas: The value calculated by each corresponding temperature-delta object.

To choose the values:

1. Right-click the Trend graph.

2. Select Trend Objects ....

3. Select the check box for each value to display.

4. Click OK.

The Trend Objects dialog lists Image Max and measurement objects from the focused image. An image that does not contain a corresponding selected object does not contribute a data point for that graph.

Note:

In automatic mode, IRT Cronista graphs up to six object identities found in both of the first two images. If they have no corresponding measurement objects, it graphs Image Max. Clear every check box in Trend Objects to return to automatic selection.

To copy the graph to the Clipboard, right-click the Trend graph and select Copy.

Show a prognosis

The prognosis extends each trend with estimated future values calculated from a quadratic approximation of the available data. Use it as an indication of direction, not as a validated forecast.

Right-click the Trend graph and select Prognosis to show or hide the extrapolated section.


Analysis templates

Availability: Version 2024 and later

An analysis template lets you reuse the same measurement and annotation objects and Temperature Scale settings on multiple infrared images. This is useful when images require a consistent analysis or when a report template expects specific objects.

Each folder can have one selected analysis template. The template can come from the focused image, a report template, or the default analysis template. Selecting a template does not apply it automatically.

Template contents

An analysis template includes:

·All measurement and annotation objects, including their labels, measurement parameters, and other object settings

·Temperature range, palette, isotherm, and other Temperature Scale settings

Note:

An analysis template does not change the image temperature-calculation parameters, such as emissivity and reflected temperature. See Changing properties for multiple images to apply image properties to multiple images.

Select an analysis template

Use the Analysis Template menu on the analysis toolbar. A green check mark indicates that a template is available. The menu also shows the current template source.

Copy the focused image's analysis

Use this method to create a folder-specific template from an analyzed image.

1. Focus the image whose analysis you want to copy.

2. Open the Analysis Template menu.

3. Select Manage > Copy Current Image Analysis.

Use analysis from a report template

1. Open the Analysis Template menu.

2. Select Manage > Select From a Report Template ....

3. Select the report template that contains the required analysis.

4. Click Select.

Use the default analysis template

1. Open the Analysis Template menu.

2. Select Manage > Use Default Template.

Apply the selected template

Caution:

Applying an analysis template replaces all analysis objects and Temperature Scale settings on the focused image. Use Undo to restore the previous analysis.

1. Focus the image to which you want to apply the template.

2. Open the Analysis Template menu.

3. Select Apply Analysis.

Move or resize the inserted objects as needed for the image.

Create or replace the default template

Save the focused image's analysis as the default template when you want to reuse it in other folders.

1. Focus an image that contains the analysis objects to save.

2. Open the Analysis Template menu.

3. Select Manage > Save Current Image Analysis As Default Template.

The saved analysis replaces the previous default template and becomes the selected template for the current folder.


Reports in Microsoft Word

Reports turn the images and information prepared in IRT Cronista into complete, editable Microsoft Word documents. Use them to present inspection findings, explain detected conditions, recommend actions, deliver results to customers or colleagues, and retain a consistent record of an inspection.

A Word report brings the available thermography data and supporting information into one document. Because the result is a Word document, you can fully customize its text, formatting, page layout, branding, tables, and additional content.

Combine inspection and analysis data

Depending on its design, a report can include:

§Infrared images and their linked visual images.

§Measurement results, profiles, histograms, and other analysis information.

§Notations, comments, and assigned asset data.

§Image and file properties, report-wide document properties, and calculated or conditionally formatted formulas.

§Explanatory text, tables, logos, and other content added in Word.

Create a report

Choose one of the following methods:

§Generate a report using a template to create a structured report for one image, selected images, or a folder. IRT Cronista fills the template with the requested image and analysis data and opens the generated document in Word. This is the usual method for standardized or recurring reports.

§Create a report manually to build a one-off document directly in Word and insert the required thermography content as you work.

Standardize reports with templates

A report template defines the Word layout and determines which images, graphs, fields, tables, notations, properties, and formulas appear in generated reports. It can also contain fixed content such as a cover page, explanatory text, company branding, and signatures. Templates make repeated reports faster to create and help keep their content and presentation consistent.

Template authors design templates in Word with commands on the Thermo Reports tab and manage them in IRT Cronista. See Report template structure and Managing report templates.

Edit and deliver the report

The ThermoReport add-in adds the Thermo Reports tab to Word. Use it to insert thermography-specific report elements, organize report sections, and update report content from IRT Cronista. Use standard Word tools to revise the text and layout and to save, print, or export the finished document.

Each populated report section remains linked to its source infrared image. While the source image is available, you can open it from the report, revise the image or its analysis in IRT Cronista, and update the related report content without rebuilding the complete document. See Editing generated reports.


Generating reports using templates

A report template defines the layout of a Microsoft Word report and determines which images, graphs, measurements, notations, and other data appear in it. Use a template supplied with IRT Cronista or a custom template. See Report template structure and Managing report templates.

Prepare the report data

Before generating a report, prepare the data required by the selected template. Depending on the template, you may need to link visual images to infrared images, add notations or comments, or analyze the infrared images. You do not need to add data that the template does not use.

Images appear in the report in the current sort order. Arrange them before generating the report. See Sorting files and folders.

You can generate a report for the focused image, selected images, or the current folder. See Generating reports for an image, folder, or selection.

Generate a report for the current folder

This procedure includes every infrared image in the current folder. You can use the Report button [image] on the main toolbar instead of the menu command.

1. Open the folder that contains the images to report.

2. Select Tools > Create Report for Folder.

3. Select a report template in the Template Selection dialog.

4. To report images in subfolders, select Include images from subfolders if the check box is available.

5. Select Run.

6. Review the generated report in Microsoft Word.

7. Save the document.

The Report Generator dialog shows progress while IRT Cronista processes the images. When generation is complete, the report opens in Word.

Related topics

§Selecting a report template

§Editing generated reports


Selecting a report template

The Template Selection dialog opens when you start generating a report for an image, a selection, or a folder. Use it to choose the report layout and start report generation.

Template list and preview

The template list is on the right. Select a template to display its layout in the preview pane on the left. Colored placeholders show the locations and types of report content, such as infrared images, visual images, profiles, and data tables. See Report template structure.

When the current folder has local or inherited templates, tabs below the list let you filter the available templates:

·All Templates: Shows the applicable local, inherited, and shared templates in one list. Inherited templates come from parent folders. You cannot modify templates directly in this view.

·Only Local: Shows templates stored for the current folder. These templates are also available in its subfolders.

·Only Shared: Shows templates available to all folders on this computer.

Toolbar

Use the toolbar to create, delete, share, or import templates and to display the list as thumbnails or details. To modify templates directly, switch to the Only Local or Only Shared view. See Managing report templates for instructions.

Select a template and generate the report

1. If template tabs are displayed, select the required view.

2. Select a template in the list.

3. Review the template in the preview pane.

4. To report images in subfolders, select Include images from subfolders if the check box is available.

5. Select Run.

The Report Generator dialog opens and shows the report-generation progress.

Related topics

§Generating reports using templates

§Generating reports for an image, folder, or selection


Generating reports for an image, folder, or selection

Choose the report scope before selecting a report template. You can report one infrared image, selected infrared images, or all infrared images in the current folder.

The Create Report for Image ... command uses the current image selection. When several reportable items are selected, the context-menu command is named Create Report for Selection .... The command in the Tools menu remains named Create Report for Image ....

Report one image

1. Click the infrared image in the Folder Contents window.

2. Right-click the image.

3. Select Create Report for Image ....

You can also select Tools > Create Report for Image ... when only the required image is selected.

Report selected images

1. Select the required infrared images in the Folder Contents window.

2. Right-click one of the selected images.

3. Select Create Report for Selection ....

Tip:

To select consecutive images, click the first image, hold Shift, and click the last image. To select nonconsecutive images, hold Ctrl while clicking each image.

Report the current folder

A folder report includes all infrared images stored directly in the current folder.

1. Open the folder to report.

2. Select Tools > Create Report for Folder ....

You can also select the Report button [image] on the main toolbar.

If the Template Selection dialog shows the Include images from subfolders check box, select it to add images from subfolders to the report.

Complete report generation

Each report command opens the Template Selection dialog. Select a template, review its preview, and select Run. See Selecting a report template.

Images appear in the generated report in the current sort order. See Sorting files and folders.


Editing generated reports

A report generated by IRT Cronista is a standard Word document. Use Word to edit ordinary text, add comments, and change the document formatting or layout.

Use the Thermo Reports tab to update linked thermography data, manage report sections, and edit template-based fields.

3 thermo reports tab

For a description of the available commands, see Thermo Reports tab.

Edit document properties

If the report uses document properties, the Document Properties dialog opens when report generation is complete. Enter the requested values and select OK. The report displays these values in the fields defined by the template.

7 document properties

To revise these values later, select Document Properties in the Template Data group on the Thermo Reports tab.

Update a report section from IRT Cronista

Each populated report section remains linked to its source infrared image. Use this link to correct the source image or its analysis and update all related content in the section.

1. Click anywhere in the report section that you want to update.

2. Select Browse for Images 4 browse button on the Thermo Reports tab.

3. Modify the infrared image or its analysis in IRT Cronista.

4. Select Apply to Report on the Switch to Report toolbar 5 switch to report toolbar .

If a section contains more than one infrared image, select the image or related report item that you want to update before selecting Browse for Images.

IRT Cronista normally opens the linked source image. If the image cannot be found, locate it manually. To replace the image used by the section, open a different infrared image before selecting Apply to Report.

Note:

Select Cancel on the Switch to Report toolbar to return to Word without updating the report. This does not undo changes already saved to the source image.

Edit an infrared image directly in the report

Double-click an infrared image in the report to open the in-place editor. The linked source image must be available.

Use the editor to add or modify measurement objects, calculate temperature differences, and change analysis settings. Right-click the temperature scale to change the range or palette.

Click outside the editor to save the changes to the source image and update the infrared image and related report elements.

Press Esc to close the editor without applying the in-place changes.

Add an infrared image

Duplicate an existing report section to preserve its layout when you add another infrared image.

1. Click anywhere in the report section whose layout you want to copy.

2. Select Duplicate 5 duplicate button in the Report Sections group.

3. Select the Infrared Image placeholder in the new section.

4. Select Browse for Images on the Thermo Reports tab.

5. Open the required infrared image in IRT Cronista.

6. Make any required analysis changes.

7. Select Apply to Report on the Switch to Report toolbar.

The Duplicate command inserts a cleared copy immediately after the current section and moves the cursor to the new section.

Remove a report section

1. Click anywhere in the report section that you want to remove.

2. Select Delete Section 6 delete button in the Report Sections group.

This removes the complete section and its report content. It does not delete the source infrared image.


Creating reports manually

Create a report manually when you need a one-off document or want to build the report layout directly in Word. Start with a Word document, insert an infrared image, and then add its related pictures, graphs, fields, and tables.

Use the Thermo Reports tab to insert and manage report elements. See Thermo Reports tab for a command reference.

3 thermo reports tab

Add an infrared image

Each report section that contains thermography data must have an infrared-image report element. This element establishes the source image for related graphs, fields, and tables in the section.

An empty infrared-image placeholder looks like this:

1. Place the cursor where you want to insert the infrared image.

2. Select Infrared Image on the Thermo Reports tab.

3. Double-click the new placeholder.

4. Open the required infrared image in IRT Cronista.

5. Make any required analysis changes.

6. Select Apply to Report on the Switch to Report toolbar.

5 switch to report toolbar

The placeholder is filled with the rendered infrared image and its analysis overlays.

infrared placeholder filled

Edit the linked infrared image

Double-click a filled infrared image to edit it. The image normally opens in the in-place editor. If in-place editing is unavailable, it opens in the main IRT Cronista window.

In the in-place editor, change the Temperature Scale settings or measurement objects. Click outside the editor to save the changes to the source image and update the report. Press Esc to cancel the in-place changes. If the image opens in the main IRT Cronista window, select Apply to Report after editing.

To replace the source image or edit it in the main IRT Cronista window, use Browse for Images. See Editing generated reports.

Show or hide the temperature scale

1. Select the infrared image in Word.

2. Select Edit on the Thermo Reports tab.

3. Select or clear the Include temperature scale check box.

4. Select OK.

Note:

The Word report contains a rendered picture and a link to the source infrared image. It does not contain the complete radiometric source data. Keep the source image available if the report may require further analysis.

Add related pictures and graphs

Add related report elements after filling the infrared-image placeholder in the section.

·Visual Image: Inserts the visual image associated with the infrared image.

·Profile: Inserts a temperature profile for a line object.

·Histogram: Inserts a temperature-distribution histogram for an area object.

·All Pictures: Opens a dialog containing all supported picture and graph types, such as a trend.

Place the cursor at the required location, and then select the corresponding command in the Pictures and Graphs group.

The source infrared image must contain one line object for each profile and one area object for each histogram. The first profile uses line 1, the second profile uses line 2, and so on. Histograms use area objects in the same way.

To change a profile or histogram, edit the corresponding line or area object on the source infrared image and update the report.

Add fields

A report field displays one item of image or analysis data, such as a file name, image date, spot temperature, or formula result. Insert the infrared image before adding fields to its section.

1. Place the cursor where you want to insert the field.

2. Select Field on the Thermo Reports tab.

3. Select the required data item in the Report Field dialog.

4. Select the visible measurement-object index when the field uses an indexed object.

5. Select the Source IR image when the section contains multiple infrared images.

6. Select OK.

A populated report field displays its value as normal Word text, for example field filled. Apply Word text formatting as needed.

Change or delete a field

Double-click a report field to change its settings. You can also place the cursor in the field and select Edit on the Thermo Reports tab.

To remove a field, select it and then select Delete on the Thermo Reports tab.

Do not use Word's Edit Field command for fields created by the Thermo Reports add-in.

Add tables table button

A report table combines several fields. An analysis table creates the required rows for compatible indexed measurement objects and updates those rows when the source-image analysis changes.

1. Place the cursor where you want to insert the table.

2. Select Table > Image Info or Table > Analysis Info on the Thermo Reports tab.

3. Add the required rows in the Report Table Editor.

4. Arrange the selected rows with the arrow buttons.

5. Select the Source IR image when the section contains multiple infrared images.

6. Select OK.

To insert image notations and optional comments, select Table > Notations. See Notations in reports.

Format, change, or delete a table

Use Word's table-formatting tools to format the inserted table. The add-in retains the formatting when it refreshes the table.

The following examples show the default table formatting and a table formatted in Word.

table filled with style

Double-click a report table to change its rows or source image. You can also place the cursor in the table and select Edit.

To remove a report table, place the cursor in it and select Delete.

Use multiple infrared images in one section

Each infrared-image report element in a section has a visible source-image number. Related pictures, graphs, fields, and tables use this number to identify their source.

When you insert a related picture or graph into a section that contains multiple infrared images, the Placeholder Settings dialog opens. Select the required number under Source IR image.

placeholder props dialog

The field and table editors also provide the Source IR image setting. To relink an existing picture or graph, double-click it and select another source number.

Organize images in report sections

Sections divide a Word document into independently formatted parts and separate its infrared-image data. Image numbering restarts in each section, and report elements cannot link to an infrared image in another section.

For the simplest linking, place each infrared image and its related report elements in a separate section.

Add a section

Select New Section on the Thermo Reports tab to start a section on the next page. You can also insert a next-page or continuous section break with Word.

Duplicate a section

Duplicate a completed section when the next infrared image uses the same layout.

1. Click anywhere in the section that you want to copy.

2. Select Duplicate on the Thermo Reports tab.

The add-in inserts a copy immediately after the current section and clears its linked report data while retaining the layout.

By default, the duplicated section starts on a new page. To allow multiple sections on one page, select Settings and then select Several sections per page.

Add a summary table

Availability: Not included in the Standard edition

A summary table collects selected fields from the populated report sections. Each row normally represents one section.

Add at least one populated infrared-image section before creating the table.

1. Place the cursor where you want to insert the summary table.

2. Select Summary Table on the Thermo Reports tab.

3. Add the required columns in the Summary Table Editor.

4. Arrange the selected columns with the arrow buttons.

5. Configure the settings for each selected column.

6. Select OK.

7. Format the table with Word's table-formatting tools.

summary table dialog

The Special category contains two columns:

·Number: Displays the image number in the report, which corresponds to the summary-table row number.

·Page: Displays the page containing the corresponding infrared image.

Use Index to select a specific indexed measurement object. For a section containing multiple infrared images, use Source IR image to select the First or Last image; intermediate images are not available for summary-table columns.

Select Group rows by this column to combine report rows that have the same value in that column. When more than one column is grouped, all grouped values must match.

Double-click an available column to add it or a selected column to remove it.

Summary tables do not refresh automatically after report data changes. Select the table, and then select Summary Table > Update.

The following image shows a formatted summary table.

Save the finished report with Word.


Thermo Reports tab

IRT Cronista adds the Thermo Reports tab to the Microsoft Word ribbon. Use its commands to edit generated reports, create reports manually, and design report templates.

3 thermo reports tab

The available commands depend on whether you are working with a generated report or a report template and on the current selection.

If the Thermo Reports tab is not available, see Troubleshooting reporting problems.

Report Sections group

A report section associates infrared images with their related pictures, graphs, fields, and tables. Report elements in one section cannot use an infrared image from another section.

Command | Purpose
Browse for Images | Opens IRT Cronista for the current section of a generated report. It opens the linked infrared image when available or lets you select an image for a section with empty report placeholders. See Editing generated reports.
New Section | Inserts a section break at the cursor and starts the new section on the next page.
Delete Section | Removes the current section and its report content. The source infrared image is not deleted and remains stored separately from the report document.
Duplicate | Inserts a cleared copy of the current section immediately after it. Use this command to reuse a section layout for another infrared image.
Previous | Moves the cursor to the previous section.
Next | Moves the cursor to the next section.

Template Data group

Use these commands to define or change data that is stored with the complete report or report template.

Command | Purpose
Notations > Link Notations | Stores a selected notations set in the document and makes its notations available for report fields and tables.
Notations > Edit Notations | Edits the notations set stored in the document.
Document Properties | Adds, removes, reorders, imports, exports, or changes document-wide properties. Document property fields display these values.
Formulas | Creates or edits calculations based on report data.

Analysis Template: Links or removes image analysis stored as the analysis template in a report template. This command is available only while editing a report template. See Analysis templates.

Pictures and Graphs group

These commands insert report elements at the cursor. In a report template, the elements act as placeholders that report generation fills with data. Insert an Infrared Image before inserting related pictures or graphs in the same section.

Command | Purpose
Infrared Image | Inserts an infrared-image placeholder at the cursor. This placeholder supplies the source data for other report elements in the section.
Visual Image | Inserts a visual-image report element for the visual image associated with the section's source infrared image.
Profile | Inserts a temperature-profile graph. The source infrared image must contain a line object. Additional profile placeholders use the subsequent line objects.
Histogram | Inserts a histogram. The source infrared image must contain an area object. Additional histogram placeholders use the subsequent area objects.
All Pictures | Opens a dialog containing all picture and graph types supported by IRT Cronista.

Fields and Tables group

Use fields and tables to insert text and numeric data supplied by IRT Cronista. In a template, report generation replaces these elements with values from each source infrared image.

Command | Purpose
Table > Image Info | Inserts a configurable table of infrared-image properties.
Table > Analysis Info | Inserts a configurable table of measurement-object results, such as spot temperatures.
Table > Notations | Inserts a configurable table of image notations from the notations set stored in the document.
Field or Field > Insert Field | Inserts a field linked to image or analysis data. If the cursor is already in a report field, the command opens its settings.
Field > Insert Document Property Field | Inserts a field that displays a document property and is not linked to one infrared image.
Summary Table or Summary Table > Insert | Inserts a table with one row for each reported infrared image. If the cursor is already in a summary table, the command opens its settings.
Summary Table > Update | Refreshes the values in the selected summary table after report data changes.
Edit | Opens the settings for the selected report picture, graph, field, or table.
Delete | Deletes the selected report field or table. For a populated picture or graph, the first use clears its data; use the command again to delete the empty placeholder.

Settings group

Command | Purpose
Settings | Selects whether the current document places one report section or several report sections on a page. The dialog also provides access to general reporting settings in IRT Cronista.
About | Displays reporting-component version and license information.
About > Home Page | Opens the product website in the default web browser.

For task-based instructions, see Editing generated reports and Creating reports manually.


Managing report templates

Use the Report Templates dialog to create, edit, copy, rename, delete, import, or share report templates. Select Tools > Report Templates to open it.

The preview pane shows the layout of the selected template. Select the Thumbnails or Details toolbar button to change how the template list is displayed.

Edit a template

1. Select the template.

2. Select Edit.

3. Make the required changes in Microsoft Word.

4. Save the template in Word.

5. Close the template.

You can also double-click an editable template to open it. For information about designing the document, see Report template structure and the Thermo Reports tab.

Create a template

1. Select New on the toolbar.

2. Enter a template name in the New Template dialog.

3. Select OK.

4. Edit the starter template in Word.

5. Save the template in Word.

6. Close the template.

Copy a template

Copy a template to reuse its design without changing the original.

1. Select the template.

2. Press Ctrl+C.

3. Press Ctrl+V.

A copy is added to the template list.

Import templates

Import one or more Microsoft Word template files with a .dot, .dotx, or .dotm extension. Extract the files first if they are in a compressed archive.

1. Select Import on the toolbar.

2. Select the template files.

3. Select Open.

Share or export a template

1. Select the template.

2. Select Share on the toolbar.

3. Select Send By Email or Save As.

4. Complete the email or save operation.

Rename a template

1. Select the template.

2. Press F2.

3. Enter the new name.

4. Press Enter.

Delete a template

1. Select the template.

2. Select Delete on the toolbar.

3. Confirm the deletion if prompted.

Deleted templates are moved to the Windows Recycle Bin.

Most users should use only the shared templates - the templates you see when you open the Report Templates dialog. Folder-local templates remain available for advanced workflows and backward compatibility. Create them in Organizer mode by selecting New > Templates for Folder. When the current folder contains local templates, the Report Templates dialog displays the All Templates, Only Local, and Only Shared tabs. All Templates combines the shared and applicable local templates, Only Local shows the current folder's local templates, and Only Shared shows templates available to all folders. When the folder has no local templates, the tabs are hidden and only shared templates are available.


Report template structure

A report template is a Word document that defines the layout and report data to include in a generated report. Add report elements from the Thermo Reports tab. In a template, these elements define where data appears; report generation replaces their placeholder content with data from the reported images. For instructions on working with report elements, see Creating reports manually.

Understand template sections

Word sections determine which template content IRT Cronista repeats:

·A data section contains at least one Infrared Image placeholder. During report generation, IRT Cronista creates a populated copy of a suitable data section for each reported image or image stack.

·A static section does not contain an Infrared Image placeholder. It appears once and can contain a cover page, introductory or closing information, a summary table, or signatures.

For instructions on dividing a document into Word sections, see Organize images in report sections.

A standard template normally uses a single data-section layout containing one or more Infrared Image placeholders. A template without any Infrared Image placeholders simply produces an unchanged copy of the template and therefore has no practical use for exporting thermography data.

For templates that report image stacks or use several data sections with different numbers of infrared-image placeholders, see Report templates for image stacks.

Build the template structure

1. On the Word Home tab, select Show/Hide ¶ to display section breaks and other formatting marks.

word hidden symbols

2. Insert Word section breaks to separate the static and data sections.

A section break appears as follows when formatting marks are visible:

3. Insert an Infrared Image placeholder first in every data section.

4. Add the required related pictures, graphs, fields, and tables to each section.

5. Set Source IR image for related elements when a data section contains multiple infrared-image placeholders.

6. Place the summary table in a static section.

7. Use Word tables to align elements that must remain together when data sections are repeated.

8. Keep picture and graph placeholders In Line with Text for predictable placement.

9. Save the template.

Tip:

Use borderless Word tables where they help stabilize the layout. You do not need to place the entire page in one table.


Report settings

Report settings control how IRT Cronista places new report data sections. They also set the format and resolution of images exported to Word. Select Settings on the Thermo Reports tab.

Set section placement

Under This document settings, select one of the following options:

·One section per page: Uses page breaks so that each new report data section starts on a new page.

·Several sections per page: Uses continuous section breaks so that consecutive report data sections can share a page when they fit.

Select OK to save the setting in the current document.

The setting applies when report generation adds data sections and when you select Duplicate on the Thermo Reports tab. It does not rearrange existing sections. When you save the setting in a report template, reports generated from that template use the selected section placement. For an explanation of report data sections, see Report template structure.

Set image export format and resolution

Select General settings in the Report Settings dialog.

1. Under Image export format, select Print optimized to keep text and image overlays in a vector format, or select Screen optimized for raster image output.

2. Under Image resolution, select the resolution for exported report images.

3. Select OK.

Select Same as display to use the current display resolution. A higher resolution can improve image detail but increases the report file size.

Note:

Image export settings are program-wide and are also available under Tools > Settings. They apply only to images exported after the change. Existing report images are not converted or resized automatically.


Notations in reports

Store the notations set in the report template. The same template can then provide the set used to annotate the infrared images and define the notation categories used in the report. This keeps image annotations consistent with the template's fields, tables, and formulas.

Store notations in a report template

Define the notations before adding report elements that use individual notation categories.

1. Open the report template in Word.

2. On the Thermo Reports tab, select Notations > Edit Notations.

3. Define the required categories, entries, and default selections in the Notations Editor.

4. Select OK.

5. Save the report template.

link notations menu

For instructions on using the editor, see Creating a notations set. The notations set is stored in the template and is also included in reports generated from it.

Use the template notations for image annotations

Before annotating images, link their folder to the notations stored in the report template. In the folder's notations settings, select From a Report Template and choose the template. See Choose the folder's notations set.

The template categories and entries then become available to every image in the folder. Each image keeps its own selections and comments. When you generate a report with the same template, its notation fields and tables use the categories that were available during annotation.

Use notation categories in report elements

The stored categories appear in the Notations group when you configure report fields, report tables, summary tables, or formulas. Use these elements to show selected categories or control the placement and formatting of each value.

fields dialog with notations

Insert a Notations table

A Notations table reads annotations directly from an infrared image. It includes all notation categories supplied by the image, their assigned values, and optionally its comments. The table does not depend on the notations set stored in the template.

1. Place the cursor in the report data section where you want the table.

2. On the Thermo Reports tab, select Table > Notations.

3. Set Source IR image when the section contains multiple infrared-image placeholders.

4. Select Show Comments to include comments when they are available.

5. Select OK.

notations table dialog

In a report template, the table displays sample rows until report generation supplies image data. The generated table can appear as follows:

notations table example

Double-click an existing Notations table to change its Source IR image or Show Comments setting.

Import an existing Notations Briefcase set

The Notations Briefcase workflow remains available for backward compatibility with existing notations sets. For new report templates, creating and maintaining the notations in the template is recommended.

1. On the Thermo Reports tab, select Notations > Link Notations.

2. Select the existing set in the Notations Briefcase dialog.

3. Select Assign.

4. Save the report template.

The command copies the set definition into the template; it does not create a live link to the Briefcase version. Later changes to the Briefcase set are not applied automatically. Select Notations > Link Notations again to import the updated definition, or select Notations > Edit Notations to edit the template's copy. For information about existing Briefcase sets, see Notations briefcase.


Document properties

Document properties store information that applies to the entire report rather than to one infrared image. Examples include the customer, site, report title, thermographer, and report date. Insert a property in one or more places as a document-property field; every field assigned to that property displays the same value.

Define properties in a report template

Define the properties before inserting their fields. Use clear property names that tell the report author what information to enter.

1. Open the report template in Word.

2. On the Thermo Reports tab, select Document Properties.

3. Select Add.

4. Enter a unique property name.

5. Select OK.

6. Edit the property's Value when the template should supply a default value.

7. Use the up and down buttons to arrange the properties in the order in which users should complete them.

8. Select OK.

9. Save the report template.

document properties in template

A new property initially uses its name in square brackets as the value, for example, [Customer]. Keep this prompt when the user must enter a value for each report. Replace it with a default value when the information is normally the same.

Important:

Deleting a document property does not delete its fields. Remove or reassign those fields before deleting the property.

Insert a document-property field

A document-property field is not linked to an infrared image and can be placed in any report section.

1. Place the cursor where you want the property value to appear.

2. On the Thermo Reports tab, select the arrow on Field.

3. Select Insert Document Property Field.

4. Select the property under Document property name.

5. Select OK.

insert document property field

You can type a new name in the Document Property Field dialog to create a property while inserting its field. Defining properties first is recommended because it lets you review their names, values, and order together.

To assign an existing document-property field to a different property, select the field and then select Edit on the Thermo Reports tab.

Enter values in a generated report

If a template contains document properties, the Document Properties dialog opens after report generation. Enter the values required for that report, and then select OK. All document-property fields update to display the new values.

7 document properties

To change the values later, select Document Properties in the Template Data group on the Thermo Reports tab.

Reuse property names and values

Select Export in the Document Properties dialog to save the property names and current values in a text file. Select Import to add properties from such a file and update matching values. This is useful when several templates or reports use the same report-level information.


Formulas

Use formulas to calculate or format report data from image, measurement-object, and notation fields. A formula becomes a report field that you can insert in a document, table, or summary table.

For example, formulas can:

·Calculate a temperature difference or another value from measurements.

·Convert a calculated result to descriptive text, such as a fault rating.

·Make a formula result bold or change its color when a condition is met.

Formulas are stored in the current Word document. Define them in a report template when generated reports should use the same calculations and formatting.

Create a formula

1. Open the report or report template in Word.

2. On the Thermo Reports tab, select Formulas.

The Formulas dialog lists the formulas stored in the document. Use Edit to change the selected formula or Delete to remove it.

formulas list dialog

3. Select Add.

4. Enter a unique, descriptive formula name.

5. Enter the calculation or script in the Expression (or lua script) box.

6. Select Reference to insert each report field that the formula uses.

7. For a numeric result, set Keep unit as required.

8. Set Precision as required.

9. Select OK.

10. In the Formulas dialog, select OK to save the formula and update formula fields in the document.

Note:

Use Reference instead of typing field references. A formula can reference standard report fields and notation fields, but it cannot reference another formula. To make notation fields available, add the notations to the report template as described in Notations in reports.

Write expressions

For a simple calculation, enter a single expression. For example, the following expression subtracts the value of spot B from the value of spot A:

A-B

Double-click an item in the Functions list to insert its operator or function. The description below the list explains the selected item. Mathematical functions use the math. prefix; for example:

math.abs(A-B)

Units and precision

For a numeric result, Precision sets the number of digits after the decimal point. Select Keep unit to append the unit supplied by a referenced numeric field. Use fields with compatible units in the same calculation.

To return a different unit, clear Keep unit and append the unit as text with the concatenation operator ... For example, this expression converts a Celsius value in A to Kelvin and appends the unit:

A+273.15 .." K"

Concatenation returns text. Therefore, Precision does not format this result.

Text and conditional results

Put literal text in quotation marks. Use .. to combine text with a text field. For example:

"<<"..FAULT_RATING..">>"

For branching logic, enter a Lua script that returns the required result. For example:

if math.abs(A-B)>20 then return "Critical Fault"

elseif math.abs(A-B)>10 then return "Possible Fault"

else return "No fault"

end

Insert a formula field

After creating a formula, insert it wherever a report field is supported. On the Thermo Reports tab, select Field, and then select the formula in the Formulas group. You can also select formula fields when configuring report tables and summary tables. For general field instructions, see Add fields.

Apply conditional formatting

A formula field can become bold, change color, or do both when a condition is true. The formatting also applies when the formula is used in a report table or summary table.

The following example creates a formula that displays the Fault Rating notation and changes the result to bold red text when the temperature difference between spots A and B exceeds 20 in the current temperature unit.

fault rating colored

1. Create or edit the formula that returns the value to display.

2. Select Field Style.

3. In the Field Style dialog, select Edit.

4. Enter a condition that returns true when the formatting should apply.

5. Select OK.

6. Select Make bold if the result should become bold.

7. Select Change color to if the result should change color.

8. Select the required color.

9. Select OK.

field style dialog

Note:

You do not need a formula when a notation field should always use the style defined in its notations set. See Notations in reports.


Macros

Use Microsoft Visual Basic for Applications (VBA) macros to customize report processing beyond the standard report-template features. In addition to Word's standard VBA events, IRT Cronista calls specially named macro procedures at specific points during report generation and editing.

Macros are intended for advanced report-template authors. Use them only when report elements and settings cannot provide the required result.

Available macro callbacks

·ThermoReportStarted(Doc): Runs once after the report document is created from the template and before image data sections are added.

·ThermoReportFrameAdded(Doc, FrameSectionIndex, NewSection): Runs after each report data section is created and filled. One data section can contain multiple infrared images.

·ThermoReportFinished(Doc): Runs once after all data sections are filled, the template's pattern sections are removed, and summary tables are updated.

·ThermoReportDocPropertiesChanged(Doc): Runs after the user confirms changes in the Document Properties dialog and the corresponding Word fields are updated. See Document properties.

·ThermoReportSummaryTableUpdated(Doc, SummaryTable): Runs after the user updates a summary table with the Update command. See Add a summary table.

During generation, the callbacks run in this order: ThermoReportStarted, ThermoReportFrameAdded for each data section, and ThermoReportFinished. If the Document Properties dialog then opens, ThermoReportDocPropertiesChanged runs after the user confirms it. ThermoReportSummaryTableUpdated runs only for the explicit Update command, not for the automatic summary-table update during report generation.

The callback arguments are:

·Doc: The generated or edited Word Document.

·FrameSectionIndex: The Long index of the Word section that was filled.

·NewSection: A Boolean value that indicates whether a new Word section was created. The current report-generation workflow passes True.

·SummaryTable: The Word Table that was updated.

Add macro callbacks to a template

1.Open the report template for editing.

2.Use the Alt+F11 keyboard shortcut to open the Visual Basic Editor.

3.In the Project Explorer, select the template's TemplateProject.

4.Select Insert > Module.

5.Add the required public procedures to the new standard module.

Public Sub ThermoReportStarted(Doc As Document)

'Your code here

End Sub

Public Sub ThermoReportFrameAdded(Doc As Document, _

FrameSectionIndex As Long, NewSection As Boolean)

'Your code here

End Sub

Public Sub ThermoReportFinished(Doc As Document)

'Your code here

End Sub

Public Sub ThermoReportDocPropertiesChanged(Doc As Document)

'Your code here

End Sub

Public Sub ThermoReportSummaryTableUpdated(Doc As Document, _

SummaryTable As Table)

'Your code here

End Sub

6.Save the template as a Word Macro-Enabled Template (.dotm).

Important:

Word must allow the template's macros to run. Follow your organization's macro-security policy, and use only trusted macro-enabled templates.

IRT Cronista continues processing when a callback is not present or Word cannot run it. Test each macro-enabled template and verify the generated report.


Report templates for image stacks

Availability: Ultimate edition

Use a report template with multiple infrared-image placeholders to place the images from each image stack together in one report data section. This supports layouts that compare inspections of the same object.

The stack-specific rules in this topic apply when the reported folder or selection contains at least one image stack. A stack appears as one item in the folder, as shown below.

Prepare the template

Start with the principles described in Report template structure. Then create data-section layouts for the stack sizes that the template must support.

1. Create a separate Word data section for each required layout.

2. Insert the required number of Infrared Image placeholders in each data section.

3. Arrange the numbered placeholders where their corresponding stack images should appear.

4. Add the required pictures, graphs, fields, and tables to each data section.

5. Set Source IR image for every related element that must use a specific infrared image.

6. Save the report template.

Tip:

Include a data section with one Infrared Image placeholder when the report can also contain individual images.

How reported items fill the template

When the reported items contain at least one stack, IRT Cronista processes every stack and every individual image as a separate report item:

·One image stack produces one populated data section. Its images fill the infrared-image placeholders in the stack's current sort order.

·One individual image produces one populated data section and fills its first infrared-image placeholder.

How a data-section layout is selected

IRT Cronista compares the number of images in the report item with the number of infrared-image placeholders in each template data section. It selects a layout in the following order:

1. A data section with exactly the same number of infrared-image placeholders.

2. The data section with the smallest number of placeholders that is still large enough for all images.

3. The data section with the greatest number of placeholders when no layout is large enough.

If the selected layout has more placeholders than the report item has images, the extra placeholders are empty. If it has fewer placeholders, the remaining images are omitted from the report.

For example, assume that a template contains layouts for one, two, and four images:

·A two-image stack uses the two-image layout.

·A three-image stack uses the four-image layout and leaves one placeholder empty.

·A five-image stack uses the four-image layout and omits the fifth image.

·An individual image uses the one-image layout.

Note:

Create only one template data section for each placeholder count. If several data sections contain the same number of infrared-image placeholders, IRT Cronista uses the first matching section.


Troubleshooting report generation

Use the symptom that best matches the problem. Before changing the installation, save any open reports and confirm that the installed desktop version of Word opens, creates, and saves ordinary documents.

The Thermo Reports tab is missing in Word

The Thermo Reports tab can be hidden in Word or unavailable because the Thermo Reports add-in is inactive, disabled, or not installed.

Show a hidden tab

1. In Word, select File > Options > Customize Ribbon.

2. Under Main Tabs, select the Thermo Reports check box if it is available and cleared.

3. Select OK.

Enable the COM add-in

1. In Word, select File > Options > Add-ins.

2. Check whether ThermoReport Addin appears under active, inactive, or disabled application add-ins.

3. If it is inactive, select COM Add-ins in the Manage list.

4. Select Go.

5. Select the ThermoReport Addin check box.

6. Select OK.

If Word lists the add-in under disabled application add-ins, select Disabled Items in the Manage list, select Go, and enable ThermoReport Addin. Then restart Word and complete the COM add-in procedure above if necessary.

Reinstall the add-in

The IRT Cronista installer includes the ThermoReport add-in with matching bitness: 64-bit IRT Cronista includes the 64-bit add-in, and 32-bit IRT Cronista includes the 32-bit add-in. A ThermoReport add-in with different bitness appears as a separate entry in the Windows list of installed apps. You need to reinstall both IRT Cronista and the ThermoReport add-in:

1. Close Word.

2. Close IRT Cronista.

3. Open the Windows list of installed apps.

4. Uninstall IRT Cronista.

5. Uninstall all installed GRAYESS ThermoReport WordAddin packages.

6. Run the installer for the current version of IRT Cronista to install the app and the add-in.

7. Restart Word.

Report generation stops with an error

A report-generation error can result from a damaged Office installation, an add-in problem, or a problem in a specific report template.

1. Record the text under Error description.

2. Record the path shown under Error dump file.

3. Select Repair.

4. Confirm that IRT Cronista should start Microsoft Office Repair.

5. Complete the Office repair procedure.

6. Restart Word.

7. Restart IRT Cronista.

8. Generate the report again.

The built-in Repair action starts Office Quick Repair when that option is available. If the repair cannot be started or the problem continues, follow Microsoft's Office repair instructions.

Confirm that the installed Word version meets the system requirements. If the error occurs with only one custom template, test report generation with a supplied template. If the supplied template works, review the custom template as described in Report template structure.

If you contact technical support, provide the error description, dump file, IRT Cronista version, Word version and architecture, and the report template that caused the error.

The generated report contains no image data

A template without an Infrared Image placeholder produces an unchanged copy of the template. Add at least one Infrared Image placeholder to each template data section. See Report template structure.

Some report elements are empty or display "--"

An empty picture or graph, or a field that displays "--", normally indicates that the source image does not contain the data requested by that report element. Check the following:

·An associated visual image is available when the template contains a Visual Image placeholder.

·The source image contains the required line for a profile or area for a histogram.

·The measurement object and object index selected for a field or table exist in the source image.

·The Source IR image setting identifies the correct image in a multi-image report section.

·The notation field exists in the notations set stored in or linked to the report template.

For preparation guidance, see Generating reports using templates and Notations in reports.

The report contains fewer images than expected

Confirm that you generated the report for the intended image, selection, or folder and enabled Include images from subfolders when required. See Generating reports for an image, folder, or selection.

For image stacks, a template layout with too few infrared-image placeholders omits the remaining stack images. See Report templates for image stacks.


Changing properties for multiple images

Use the Image Info dialog in IRT Cronista to change properties for selected infrared images or all infrared images in a folder. For example, you can apply the same emissivity, reflected temperature, or object distance to images captured under the same conditions.

Apply a common value only when it is appropriate for every image you include.

Open properties for selected images

1. Select at least two infrared images you want to change.

2. Right-click one of the selected images.

3. Select Image Info for Selection.

Open properties for a folder

1. Open the folder containing the images.

2. Open the Tools menu.

3. Select Image Info for Folder.

Edit and apply properties

The dialog shows a value when the images share it. A blank field can indicate that the images have different values; it does not mean that the value is zero. Leave a field unchanged to keep each image's existing value.

1. Select the property you want to change.

2. Enter or select the new value.

3. Click OK to apply the edited values to the included images.

4. Save the modified images to write the changes to disk.

You can edit several properties before clicking OK. Only edited properties are applied. Click Cancel to discard the edits in the dialog.

Note:

Temperature range and palette settings are changed separately. Use Temp. Scale for Selection for selected images. See Changing range and palette for selected images.

Restore original values

Use Restore original to replace modified image parameters with their original recorded values. IRT Cronista restores each image's own values, not one common value for the group.

1. Click Restore original in the Image Info dialog.

2. Click Yes in the confirmation message.

3. Save the modified images.

The dialog closes after restoration. This action applies to all properties, not just the highlighted property.


Playing thermal video

Use Sequence Player to review recorded infrared sequence files as thermal video or to display selected infrared images as a slide show. Each frame remains radiometric, so you can read temperatures and adjust the temperature scale during playback.

Play an infrared sequence

1. Double-click the sequence file, such as a file with the .IRS extension.

2. In Sequence Player, select Play forward.

To play several sequence files consecutively, select the files and then select Tools > Play .... You can also right-click one of the selected files and select Play ....

Play an image slide show

Select consecutive images with Shift, select nonconsecutive images with Ctrl, or press Ctrl+A to select all items in the folder.

1. Select the infrared images to include.

2. Select Tools > Play ....

3. In Sequence Player, select Play forward.

You can also select Play ... from the context menu. A playback selection can contain both individual infrared images and sequence files.

Use Sequence Player

Move the pointer over the image to display the temperature at that point.

The player has its own temperature-scale controls. The selected palette applies throughout playback. Auto range adjusts as the frames change; Custom ... range keeps fixed limits. Use a custom range when the same color must represent the same temperature in every frame. See Selecting temperature span and palette.

Use the Zoom list to resize the 2D image. Under Playback speed, select As recorded or specify either frames per second or the delay between frames.

Playback controls

Use the controls at the lower left of the Sequence Player window:

Play forward.

Play backward.

Stop playback and return to the first frame of the current track.

Go to the next frame.

Go to the previous frame.

During playback, the button for the active direction changes to Pause. Select it to pause on the current frame.

When the selection contains multiple tracks, use the Current track list to move between them. A sequence file is a separate track; selected individual images are grouped for slide-show playback.

Select the Auto repeat check box to continue playback after reaching the first or final frame.

Drag the slider to move to a frame in the current track. The frame position, frame count, and image or track name appear to the right of the slider.

Save or copy a frame

For a frame from a sequence file, select Save Frame to save it as a separate analyzed infrared image beside the source sequence. The saved image uses the temperature range currently displayed in the player.

Select Copy to copy the current 2D or 3D view to the Clipboard as a bitmap.

When resolution enhancement is available and the sequence contains enough frames, you can also create a higher-resolution image around the current frame. See Enhancing image resolution.

View frames in 3D

Sequence Player displays frames in 2D by default. Use the toolbar buttons to switch between 2D and 3D.

Select one of the following 3D display modes:

Display the image as a 3D surface.

Display the image as a 3D lattice.

Display the image as 3D dots.

The Zoom control is unavailable in 3D. Resize the Sequence Player window or use the mouse wheel to change the size of the 3D model.

Export thermal video to AVI

AVI export converts the current track to a non-radiometric video using the current display mode, palette, and temperature range. The exported video does not retain temperature data. If the player contains several tracks, select the one to export before starting.

1. Select the required track in the Current track list.

2. Select Export ... on the toolbar.

3. Enter the filename.

4. Select the destination folder.

5. Select Save.

6. Enter the output speed in frames per second.

7. Select OK.


Printing infrared images

Use the built-in print commands to print infrared images and their available analysis information without creating a Word report. The page layout and included information depend on the current mode:

§Organizer mode: Prints a compact overview with several infrared images on each page. Each item includes its filename, temperature scale, visible measurement objects, and any displayed infrared/visual fusion.

§Analyzer mode: Prints one infrared image per page with a detailed layout that can include image information, measurement objects, the temperature scale, diagrams, a linked visual image, notations, and infrared/visual fusion.

Images are printed in the current sort order. When the print scope includes an image stack, each image in the stack is printed.

Set up the printer

Select File > Print Setup ... to choose the printer, paper size, and orientation. In Organizer mode, these settings determine how many images fit on each page.

Preview and print

Each print command opens a preview before printing. Use it to check the page layout and the images included in the print job.

Use the commands at the top of the preview window:

§Select Print... to open the system Print dialog.

§Select Next Page to view the next page. The command is unavailable on the final page.

§Select Prev Page to view the preceding page. The command is unavailable on the first page.

§Select Two Page to view two pages side by side. The command changes to One Page in two-page view.

§Select Zoom In or click the page with the magnifier pointer to enlarge the preview.

§Select Zoom Out to reduce the preview.

§Select Close to return to IRT Cronista without printing.

Print in Organizer mode

To print all infrared images in the current folder, select File > Print All ....

To print only selected images:

1. Select the infrared images to print.

2. Right-click one of the selected images.

3. Select Print Selection ....

Print in Analyzer mode

To print all infrared images in the current folder, select File > Print All ....

To print one infrared image, right-click it in the Analysis view and select Print Image ....

To print selected images:

1. Select the infrared images in the Image Thumbnails window.

2. Right-click one of the selected images.

3. Select Print Selection ....


Exporting infrared images to other formats

Export infrared images when you need copies for presentations, other applications, or further processing. You can create rendered image files, export the temperature values as text, extract associated visual images, or create Radiometric TIFF files for drone mapping. Exporting creates new files and does not replace the source infrared images.

Export images

In Organizer mode, select images in the Folder Contents window. In Analyzer mode, select them in the Image Thumbnails window.

1. Select the infrared images to export.

2. Select Tools > Export ....

3. Choose the destination.

4. Select the required format.

5. Set the available format options.

6. Select Export.

You can also right-click one of the selected images and select Export .... If the selection includes an image stack, each image in the stack is exported as a separate file.

Choose export settings

Destination folder

Select Place images in the source folder to save each exported file beside its source image. Select Place images in a subfolder and enter a folder name to keep the exported files separate. IRT Cronista creates the subfolder in the current folder.

Rendered image formats

Select a rendered image format, such as JPEG or PNG, when you need a standard non-radiometric picture. The available formats depend on the image encoders installed with Windows.

For formats that support display options:

§Select the Include temperature scale check box to include the temperature scale.

§Select the Include analysis information check box to include measurement objects and their labels.

§Select the Fusion or Picture in Picture check box to include the corresponding view configured in Analyzer mode.

§Set Resize to change the output dimensions by the selected percentage.

Temperature values in CSV or TXT format

Select CSV or TXT to export the temperature value of every pixel as delimited text. These formats do not include a rendered image, temperature scale, or measurement-object overlays.

Associated visual image

Select Extract Visible to export the visual image associated with each infrared image as a JPEG file. Images without an associated visual image are skipped.

Export Radiometric TIFF files for drone mapping

Availability: Ultimate edition

Use TIFF Raw (Radiometric TIFF) to prepare aerial infrared images for mapping software such as OpenDroneMap or Pix4D. Unlike a color TIFF, a Radiometric TIFF stores the calculated temperature for every pixel. Mapping software can use these values to create an orthomosaic that retains temperature information.

The exported TIFF contains one 32-bit floating-point temperature value in degrees Celsius for each pixel. IRT Cronista calculates the values using the image's current measurement parameters and includes GPS information when it is available. For supported JPEG sources, it also copies available EXIF and XMP metadata.

1. Open the folder that contains the original aerial infrared images.

2. Select the images to convert.

3. Right-click one of the selected images.

4. Select Export ....

5. Select Place images in a subfolder.

6. Enter a subfolder name, such as Tiffs.

7. Select TIFF Raw (Radiometric TIFF).

8. Select Export.

Pix4D:

Use a standard processing template for exported Radiometric TIFF files. Do not select the Thermal Camera or ThermoMAP Camera processing template.

For additional workflow information and current camera examples, see Drone Mapping of Thermal Images on the GRAYESS website.


Image stitching

Availability: Ultimate edition

Image stitching combines two or more overlapping infrared or visual images into a larger composite image. Use it to document a scene or object that does not fit into one camera frame. A stitched infrared image remains radiometric and can be analyzed in IRT Cronista.

Prepare the source images

Capture adjacent views with recognizable details in their overlapping areas. Aim for 40-50% overlap between adjacent images. Stitching may fail when the scene lacks distinct features that IRT Cronista can use to align the images.

For infrared images, use a Custom range with identical upper and lower limits for all source images. Different limits can reduce the quality of feature matching. Apply the range to the folder with Same Range, or apply it only to the selected images with Temp. Scale for Selection. See Same Range and Same Palette options and Changing range and palette for selected images.

Stitch images

1.Switch to Organizer mode.

2.Select at least two infrared images or at least two visual images.

3.Select Tools > Stitch ....

You can also right-click one of the selected images and select Stitch ....

4.Select Stitch visual images if you want to stitch available visual images instead of infrared images.

5.Select Show summary at the end if you want IRT Cronista to open a detailed stitching log.

6.Select a Composition option.

7.Adjust Stitching accuracy (advanced) only if the default setting does not produce a satisfactory result.

8.Select Stitch.

Choose stitching options

§Stitch visual images: When both infrared and visual source images are available, stitch the visual images instead of the infrared images. The option requires at least two separate or linked visual-image files; embedded visual images are not used. If the selection contains only visual images, the option is selected automatically.

§Spherical (several rows panorama): Use for a panorama captured in multiple rows.

§Cylindrical (one row panorama): Use for a panorama captured in one horizontal row.

§Plane (flat object): Use for a flat surface or object.

§Stitching accuracy (advanced): Keep the default value for most image sets. Higher values require stronger feature matches; lower values accept weaker matches.

Stitched results

IRT Cronista saves the stitched image in the source folder and focuses the new file. Infrared results are saved as radiometric images; visual results are saved as JPEG images. The source images are not changed.

If the selected images form more than one sufficiently large matching group, IRT Cronista creates a separate stitched image for each group.

Large image sets:

Accurate GPS information is required when stitching drone images. IRT Cronista displays a warning when GPS information is missing or inconsistent. Because the stitching algorithm is designed primarily for panoramas, it may not be able to stitch drone image sets.

To create an orthomosaic, export the images as Radiometric TIFF files and process them in specialized photogrammetry software such as Pix4D or WebODM. See Exporting infrared images to other formats.


Enhancing image resolution

Availability: Ultimate edition

Super-resolution combines several radiometric frames of the same scene, captured with small offsets, to create an infrared image with twice the source width and height. The result can show finer spatial detail than a single source frame, but it does not improve the camera's temperature measurement accuracy.

IRT Cronista can enhance supported multi-frame camera files or use nearby frames from an infrared sequence. Its super-resolution algorithm uses up to eight available frames.

Multi-frame camera files

Some infrared cameras store several slightly offset frames in one file. IRT Cronista identifies files that contain these frames with the following symbol:

For some supported camera files, IRT Cronista opens a high-resolution result produced with the camera manufacturer's processing method. Check the image dimensions in its properties to determine whether the image has already been enhanced.

Enhance multi-frame files

Use the IRT Cronista super-resolution algorithm when a marked file has not already been enhanced, or when you want to create an alternative result. The command is available for files that display the supperres-sign symbol.

Switch to Organizer mode.

Select one or more marked infrared images.

Select Tools > Enhance Resolution ....

You can also right-click one of the selected images and select Enhance Resolution .... IRT Cronista processes each selected file that contains super-resolution frames.

The program saves each result in the source folder with _HighRes appended to the source file name. The result is a radiometric infrared image; the source file is not changed.

Note:

You can also apply the IRT Cronista algorithm to a file that already contains a manufacturer-generated high-resolution result. The program creates a separate _HighRes file and does not replace the result stored in the source file.

Enhance a frame from an infrared sequence

A recorded infrared sequence can provide the source frames when a camera cannot create a multi-frame file. Use a sequence of a stationary scene recorded with slight camera movement. The sequence must contain at least seven frames.

Open the sequence in the Sequence Player. For general playback instructions, see Playing thermal video.

Use the slider to select the reference frame.

Select Save Super Resolution Frame on the toolbar.

IRT Cronista uses up to eight sequence frames around the selected frame. It saves the resulting radiometric image in the sequence file's folder with _HighRes appended to the exported frame name.

Existing results:

Running resolution enhancement again for the same source uses the same output name and replaces the existing high-resolution result.


Keyboard shortcuts

Use keyboard shortcuts to run common commands without opening a menu. Available shortcuts depend on the current mode and the window or work area that has keyboard focus. For example, Ctrl+A selects folder items when a Folder Contents window has focus, but selects measurement objects when an Analyzer image has focus.

General commands

Keyboard shortcut | Action
F1 | Open the IRT Cronista Help system.
Ctrl+S | Save changes to the focused image.
Ctrl+Shift+S | Save changes to all images in the current folder.
Ctrl+Z or Alt+Backspace | Undo the last action.
Ctrl+Y | Redo the last undone action.
Ctrl+P | Open print preview for all images in the current folder.
Ctrl+F | Open the quick-search field for the current image or file view.
Ctrl+Left Arrow | Rotate the selected images, or the focused image, 90 degrees counterclockwise.
Ctrl+Right Arrow | Rotate the selected images, or the focused image, 90 degrees clockwise.

Organizer file and folder commands

These shortcuts apply when a Folder Contents window has focus.

Keyboard shortcut | Action
F2 | Rename the focused item.
Delete or Shift+Delete | Delete the selected files or folders.
Ctrl+A | Select all items in the current folder.
Ctrl+C or Ctrl+Insert | Copy the selected items to the Clipboard.
Ctrl+X | Cut the selected items to the Clipboard.
Ctrl+V or Shift+Insert | Paste Clipboard items into the current folder.
Ctrl+G | Paste Clipboard items and connect them to the focused item.
Ctrl+D | Unlink the selected infrared and visual images.
Ctrl+I | Invert the selection.
F5 | Refresh the current folder and its contents.
Ctrl+F5 | Refresh the selected infrared images.

Organizer navigation and layouts

Keyboard shortcut | Action
Backspace | Open the parent folder.
Alt+Left Arrow | Return to the previously viewed folder.
Alt+Right Arrow | Move forward to the next folder in the navigation history.
Ctrl+E | Open the current folder in File Explorer.
Ctrl+Shift+F | Show or hide the Folders Tree window.
F7 | Select the Standard layout.
F8 | Select the Filmstrip layout.
F9 | Select the Dual layout.

Analyzer work area

The object-selection shortcuts apply when an Analyzer image has keyboard focus.

Keyboard shortcut | Action
Page Up | Focus the previous image.
Page Down | Focus the next image.
Ctrl+A | Select all measurement objects.
Delete | Delete the selected measurement objects.

Notations set editor

These shortcuts apply in the notations set editor.

Keyboard shortcut | Action
Enter or Ctrl+Enter | Insert a notation.
Shift+Enter | Insert a category.
F2 | Rename the selected notation or category.
Delete or Shift+Delete | Remove the selected notation or category.
Ctrl+Up Arrow | Move the selected item up.
Ctrl+Down Arrow | Move the selected item down.
Ctrl+C | Copy the selected notation or category.
Ctrl+V | Paste a copied notation or category.
Ctrl+Z | Undo the last edit.
Ctrl+Y | Redo the last undone edit.
Numpad * | Switch the selected category between Single Selection and Multiple Selection.


Third-party libraries

To implement some features IRT Cronista uses these open source libraries and programs:

zlib

https://zlib.net/

Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler

libzip

https://libzip.org/

Copyright (C) 1999-2017 Dieter Baron and Thomas Klausner <libzip@nih.at>

libcurl

https://curl.haxx.se/libcurl/

Copyright (c) 1996 - 2019, Daniel Stenberg, <daniel@haxx.se>

QR Code generator library

Copyright © 2022 Project Nayuki. (MIT License)

https://www.nayuki.io/page/qr-code-generator-library

If source code of a library was modified it can be downloaded from here: http://www.grayess.com/open_source/